---
layout: page
title: Client Bug Reports

---

### What to include in a bug report

In order to ensure that the F-Droid developers have the best chance of reproducing your issue and thus fixing it, please include as much of the following information as possible in your bug reports:

* F-Droid version (e.g. "0.88" or "0.89-test")
* Android version (e.g. "Lollipop" or "Android 5.0")
* Device (e.g. "Nexus 4")
* Steps to reproduce the bug
* A logcat from when the crash occured ([Getting logcat messages after crash](../Getting_logcat_messages_after_crash))
* Whether the bug happens on the previous stable version of F-Droid


### Why does an issue say "waiting on response" next to it?

The development team of F-Droid will do their best to reproduce and fix any bugs that are reported. Also, if feature requests are posted, then we will try to engage with the person who requested the feature to see if it is in the best interests of F-Droid as a whole.

Sometimes, we are unable to reproduce a particular bug, and so require more feedback from the original bug reporter (or someone else who is also experiencing the problem). Other times, feature requests do not provide enough detail for us to respond appropriately. In these situations, we will apply the "waiting-on-response" label to the issue.

If, after a significant amount of time, there is no response, the issue will be closed, and probably labelled with a "cant-reproduce" label. If this happens to an issue of yours, feel free to re-open it if you come back and have more information which may help resolve the issue properly.

Currently, there is not a set timeframe for which these issues will be closed (i.e. no response within 4 weeks), but in the future, we may decide to do this. The reason is that as the bug list grows, it becomes harder for us to manage, and harder for new contributors to decide what they could work on.


### Where to file bug report

[F-Droid issue tracker](https://f-droid.org/issues/) specifically [F-Droid client section](https://gitlab.com/fdroid/fdroidclient/issues)
