---
layout: page
title: Code of Conduct

---

The F-Droid Project, the producers of the F-Droid software and
f-droid.org repository, have adopted a code of conduct for
participants to its issue trackers, forum, IRC channels and other
modes of communication within the project.

----

## 1. Be respectful

In a project the size of F-Droid, inevitably there will be people with
whom you may disagree, or find it difficult to cooperate. Accept that,
but even so, remain respectful. Disagreement is no excuse for poor
behaviour or personal attacks, and a community in which people feel
threatened is not a healthy community.


## 2. Assume good faith

F-Droid Contributors have many ways of reaching our common goal of
distributing free software which may differ from your ways. Assume
that other people are working towards this goal.

Note that many of our Contributors are not native English speakers or
may have different cultural backgrounds.


## 3. Be collaborative

F-Droid is a large and complex project; there is always more to learn
within F-Droid. It's good to ask for help when you need it. Similarly,
offers for help should be seen in the context of our shared goal of
improving F-Droid.

When you make something for the benefit of the project, be willing to
explain to others how it works, so that they can build on your work to
make it even better.


## 4. Try to be concise

Keep in mind that what you write once will be read by hundreds of
persons. Writing a short message means people can understand the
conversation as efficiently as possible. When a long explanation is
necessary, consider adding a summary.

Try to bring new arguments to a conversation so that each post adds
something unique to the thread, keeping in mind that the rest of the
thread still contains the other messages with arguments that have
already been made.

Try to stay on topic, especially in discussions that are already
fairly large.


## 5. Be open

Most ways of communication used within F-Droid allow for public and
private communication. As per paragraph three of the social contract,
you should preferably use public methods of communication for
F-Droid-related messages, unless posting something sensitive.

This applies to messages for help or F-Droid-related support, too; not
only is a public support request much more likely to result in an
answer to your question, it also makes sure that any inadvertent
mistakes made by people answering your question will be more easily
detected and corrected.


## 6. In case of problems

While this code of conduct should be adhered to by participants, we
recognize that sometimes people may have a bad day, or be unaware of
some of the guidelines in this code of conduct. When that happens, you
may reply to them and point out this code of conduct. Such messages
may be in public or in private, whatever is most appropriate. However,
regardless of whether the message is public or not, it should still
adhere to the relevant parts of this code of conduct; in particular,
it should not be abusive or disrespectful. Assume good faith; it is
more likely that participants are unaware of their bad behaviour than
that they intentionally try to degrade the quality of the discussion.

Serious or persistent offenders will be temporarily or permanently
banned from communicating through F-Droid's systems. Complaints should
be made (in private) to the administrators of the F-Droid
communication forum in question.  It is also possible to report issues
on our [admin issue tracker](https://gitlab.com/fdroid/admin/issues/).


----

(_Based on the [Debian Code of Conduct](https://www.debian.org/code_of_conduct),
Version 1.0
[ratified](https://www.debian.org/vote/2014/vote_002) on April 28th, 2014._)
