---
layout: page
title: Take-Down Requests

---

<!--
  this is very loosely inspired by:
    * https://docs.github.com/en/github/site-policy/submitting-content-removal-requests
-->

## Introduction

This document covers how you may send a request to remove content or apps from
the official f-droid.org repository.  Our team checks all app submissions we
receive for compliance with our [inclusion policy](../Inclusion_Policy) to the
best of their abilities.  Please let us know if an app the official f-droid.org
repository infringes on your rights by submitting a take-down request.

The official f-droid.org repository is a distribution service for FOSS apps and
will be called downstream in the remainder of this document.  F-Droid does not
hold any rights to the apps in official f-droid.org repository other than
granted by their respective license.  The authors of said apps will be called
upstream in the remainder of this document.

## Submitting Take-Down Requests

Please take some time to familiarize yourself with our policies any take-down
procedure before submitting any take-down requests.  If you submit an incomplete
request, we will have to ask you for clarifications maybe even re-submitting a
revised request.

You have to make sure that requests you're submitting to us, contain all
information required by our team to verify the legitimacy of your claims.  This
can include a variety of informations like copyright and licensing information,
trademark registrations, etc.

Please note that downstream has and will never agree to 3rd party Terms of
Service, Terms of Use or similar agreements for services not utilized by
downstream.  Therefore such agreements usually do not provide an enforceable
basis for take-down requests.

Also please note that we are an volunteer driven organization.  We prioritize
take-down requests, but we can't guarantee instant responses.

You can submit take-down requests [by starting a new issue on our issue
tracker](https://gitlab.com/fdroid/fdroiddata/-/issues/new).  (This requires a
gitlab.com account.)

Alternatively if you prefer you can send your request to our team E-Mail
account.  [team@f-droid.org](mailto:team@f-droid.org) (Our team will still open
a public issue on our issue trackers and quote your entire request there.)

Take-down requests can not be confidential.  By submitting a take-down request
you automatically grant us permission to publish your entire request on our
web-sites and our issue trackers. We need this because all of our processes are
worked on in public and for keeping accountable to our users.

## Transparency reporting

All take-down requests we receive regarding apps on the official f-droid.org
repository are transparently disclosed in our [issue
tracker](https://gitlab.com/fdroid/fdroiddata/-/issues?scope=all&state=all&label_name[]=Takedown%20Request)
and [merge-request
tracker](https://gitlab.com/fdroid/fdroiddata/-/merge_requests?scope=all&state=all&label_name[]=Takedown%20Request)
under the `Takedown Request` label.

## 3rd party repositories

Third party repositories are not under our control what so ever. If you think a
3rd party repository is violating your rights you will have to get in contact
with their respective operators. Procedures described here apply exclusively to
f-droid.org.
