---
layout: page
title: Consulting
permalink: /consulting/
---

If you're running an organisation that uses F-Droid or would like to use F-Droid, you will sometimes want to have an expert. This page is a list of companies and developers who contributed to F-Droid in one way or another and are available for consulting. By contracting one of these companies or developers, your organisation can also (indirectly) support the development of F-Droid.

Keep in mind that the F-Droid ecosystem consists of several components. Thus, consulting services may offer a lot of different services, such as
  * Deployment of F-Droid within an organisation
  * Setup and maintenance of F-Droid repositories
  * Workshops for users and admins
  * Help in getting an app compliant for inclusion in the main f-droid.org repository
  * Bug fixes or feature additions to the F-Droid client and server components
  * Whitelabel solutions

Check out the descriptions to find an appropriate consultant for your needs.

### COTECH - Confidential Technologies GmbH

* __Website:__ [https://www.cotech.de/f-droid](https://www.cotech.de/f-droid)
* __Email:__ [contact@cotech.de](mailto:contact@cotech.de)
* __Phone:__ +49 531 22435119
* __Address:__ Confidential Technologies GmbH, Wilhelmsgarten 3, 38100 Braunschweig
* __Languages:__ English, German
* __Specializations:__ Custom F-Droid deployments, feature extensions, whitelabel solutions

### Hans-Christoph Steiner

* __Website:__ [at.or.at](https://at.or.at)
* __Email:__ [hans@eds.org](mailto:hans@eds.org)
* __Address:__ Vienna, Austria
* __Languages:__ English, German
* __Specialization:__ Custom F-Droid deployments, reproducible builds, new features, whitelabel app stores, getting things merged.

### Hellebaard

* __Website:__ [hellebaard.nl](http://hellebaard.nl)
* __Email:__ [contact@hellebaard.nl](mailto:contact@hellebaard.nl)
* __Address:__ Utrecht, the Netherlands
* __Languages:__ English, Dutch
* __Specialization:__ Translations English ⟷ Dutch, descriptions, metadata, graphics and screenshots.

### IzzySoft

* __Website:__ [android.izzysoft.de](https://android.izzysoft.de/), [www.izzysoft.de](https://www.izzysoft.de/)
* __Email:__ [info@izzysoft.de](mailto:info@izzysoft.de)
* __Phone:__ +49 89 27373746
* __Address:__ IzzySoft, 80796 München, Germany
* __Languages:__ English, German
* __Specialization:__ [Binary Repositories](https://f-droid.org/docs/Setup_an_F-Droid_App_Repo/) & Metadata (creator & operator of the [IzzyOnDroid Repo](https://apt.izzysoft.de/fdroid/))

---

If you're missing, you can
[add yourself to the list](https://gitlab.com/fdroid/fdroid-website/blob/master/_pages/consulting.md)!
Keep it sorted alphabetically, please.
