---
layout: page
title: Donations
permalink: /donate/
---

{% assign strings = site.data.strings.sidebars.donate %}

F-Droid is powered by your donations!

If you want to contribute financially, we recommend using a **free (as in free software) donation platform** like **[Liberapay](https://liberapay.com/F-Droid-Data/)** or **[Open Collective](https://opencollective.com/f-droid/)**. **Liberapay** has lower fees but **Open Collective** allows more flexibility and transparency on how the funds are used.
Both platforms allow for recurrent donations which are highly desirable for making F-Droid sustainable.

Your donations will be used for:

* Paying for server resources
* Pay for merchandise (stickers)
* Pay contributors for administration and development work
* Travel sponsorship for contributors for conferences or meetups


### What payment methods can I use?

Right now, we only support the payment methods that our fiscal hosts offer.  The fiscal host determines which payment methods are available.

<div class="payment-methods"></div>

|      | {{ strings.currency }} | {{ strings.credit_card }}  | {{ strings.via_bank_transfer }} | {{ strings.paypal }} | {{ strings.crypto }} |
|------|----------|--------------|---------------|--------|--------|
| [<img src="{% asset liberapay_donate_button.svg %}" alt="{{ strings.liberapay_alt }}" height="24" />](https://liberapay.com/F-Droid-Data/)           | | ✓ | | ✓ | |
| [<img src="{% asset opencollectivelogo.svg %}" height="20" alt="{{ strings.opencollective_alt }}" /> <small>F-Droid-Euro</small>](https://opencollective.com/f-droid-euro) | EUR | ✓ |  | |
| [<img src="{% asset opencollectivelogo.svg %}" height="20" alt="{{ strings.opencollective_alt }}" /> <small>F-Droid</small>](https://opencollective.com/f-droid)   | USD | ✓ | ✓ | ✓ | ✓ |
| [<img src="{% asset github-sponsors.svg %}" height="20" alt="GitHub Sponsors" />](https://github.com/sponsors/f-droid) |  | ✓ | | ✓ | |

Visit the info pages of our fiscal hosts to get more details on their fees:

* [Liberapay](https://liberapay.com/about/faq#fees)
* [Open Collective Europe ASBL](https://opencollective.com/europe)
* [Open Source Collective 501(c)(6)](https://opencollective.com/opensource)
* [GitHub Sponsors](https://docs.github.com/en/billing/managing-billing-for-github-sponsors/about-billing-for-github-sponsors)


#### IBAN Direct Bank Transfer

If you would like to donate via a direct IBAN bank transfer, then donate via [F-Droid (€)](https://opencollective.com/f-droid-euro) on OpenCollective:

<p align="center">
<a href="https://opencollective.com/f-droid-euro"><img src="{% asset opencollective_button.png %}" height="40" alt="{{ strings.opencollective_alt }}"></a>
&nbsp; &nbsp; &nbsp;
</p>


#### Cryptocurrency

All cryptocurrency donations to F-Droid, including Bitcoin and many others, are processed through OpenCollective:

<p align="center">
<a href="https://opencollective.com/f-droid/donate/crypto" target="_blank">
<img class="crypto-logos" src="{% asset crypto-logos/BTC.svg %}" alt="BTC (Bitcoin)" />
<img class="crypto-logos" src="{% asset crypto-logos/ETH.svg %}" alt="ETH (Ethereum)" />
<img class="crypto-logos" src="{% asset crypto-logos/BCH.svg %}" alt="BCH (Bitcoin Cash)" />
<img class="crypto-logos" src="{% asset crypto-logos/LTC.svg %}" alt="LTC (Litecoin)" />
<img class="crypto-logos" src="{% asset crypto-logos/ZEC.svg %}" alt="ZEC (Zcash)" />
<img class="crypto-logos" src="{% asset crypto-logos/LINK.svg %}" alt="LINK (Chainlink)" />
<img class="crypto-logos" src="{% asset crypto-logos/BAT.svg %}" alt="BAT (Basic Attention Token)" />
<img class="crypto-logos" src="{% asset crypto-logos/DAI.svg %}" alt="DAI (Dai)" />
<img class="crypto-logos" src="{% asset crypto-logos/OXT.svg %}" alt="OXT (Orchid)" />
<img class="crypto-logos" src="{% asset crypto-logos/STORJ.svg %}" alt="STORJ (Storj)" />
<img class="crypto-logos" src="{% asset crypto-logos/AMP.svg %}" alt="AMP (Amp)" />
<img class="crypto-logos" src="{% asset crypto-logos/ZRX.svg %}" alt="ZRX (Ox)" />
<img class="crypto-logos" src="{% asset crypto-logos/DOGE.svg %}" alt="DOGE (Dogecoin)" />
</a>
</p>


## Swag

Or buy a 👕 T-shirt 👕 from <br>
[![HELLOTUX]({% asset hellotux_banner.jpg %})](https://www.hellotux.com/f-droid)<br>
(F-Droid will receive 3€ per shirt sold.)


## Previous Setup

Donations for F-Droid were previously handled by F-Droid Limited, a UK "private
company" registered in England
(no. [08420676](https://beta.companieshouse.gov.uk/company/08420676)).  It has
been out of use since 2021.
