---
layout: page
title: Repomaker
permalink: /repomaker/
---

F-Droid.org is just a repo out of hundreds of repos created by individuals
all around the globe. With the tools of F-Droid, everyone can create their
own repo. So whether you are a musician who wants to publish their music
or a developer who wants to serve nightly builds of their app,
you are free to create your own repo and share it with other people
independently of F-Droid.org.

In the past, creating a repo has been difficult because you had to have
knowledge on the command line, needed to edit text files to edit your
packages' store details and had to paste screenshots in a special system
of directories to have them served well inside the F-Droid app.

This all got easier now: with Repomaker, you are able to create your own
repo and do not need to have any special knowledge to do so.
Check out the
[installation guide](https://gitlab.com/fdroid/repomaker/blob/master/README.md#installation)
for information on how you can install Repomaker on your device.

[![]({% asset repomaker-screenshots/repo-details.png %})]({% asset repomaker-screenshots/repo-details.png %})<br/>
*Your repo can serve all types of media*

[![]({% asset repomaker-screenshots/package-details.png %})]({% asset repomaker-screenshots/package-details.png %})<br/>
*Editing your package store details never was easier*

[![]({% asset repomaker-screenshots/create-repo.png %})]({% asset repomaker-screenshots/create-repo.png %})<br/>
*Creating a repo just takes you two clicks*

[![]({% asset repomaker-screenshots/add-storage.png %})]({% asset repomaker-screenshots/add-storage.png %})<br/>
*You have many possibilities where to upload your repo*

Like any other project of F-Droid, Repomaker is free and open source
software. You can find the source code and its license on
[gitlab.com](https://gitlab.com/fdroid/repomaker).
