---
layout: post
title: "A new UX 6 years in the making"
author: "pserwylo"
authorWebsite: "https://forum.f-droid.org/u/pserwylo"
---

F-Droid has been a part of the Android ecosystem for over 6 years now.
Since then, over 2000 apps have been built for the main repository,
many [great features have been added](https://gitlab.com/fdroid/fdroidclient/blob/master/CHANGELOG.md),
the client has been translated into over 40 different languages,
and much more.

However, the F-Droid UX has never changed much from [the original three tab layout](https://f-droid.org/posts/f-droid-repository-alpha/):

{: .gallery}
 * ![Version 0.11]({% asset posts/2017-04-04-new-ux/0.11.png %})
 * ![Version 0.102]({% asset posts/2017-04-04-new-ux/0.102.png %})

This will change with the coming release of F-Droid client v0.103.

Over the past 6 months, the F-Droid team has been busy redesigning a modern UX which will help bring F-Droid into the present.
Some of the big ticket items include:

 * Screenshots and feature graphics
 * Bulk download and install
 * Offline "queue for download"
 * Ability to translate apps metadata
 * Improved notifications for downloads and pending updates

{: .gallery}
 * !["Latest" screen]({% asset posts/2017-04-04-new-ux/latest.png %})
 * !["Categories" screen]({% asset posts/2017-04-04-new-ux/categories.png %})
 * !["Nearby" screen]({% asset posts/2017-04-04-new-ux/nearby.png %})
 * !["Updates" screen]({% asset posts/2017-04-04-new-ux/updates.png %})
 * ![App details screen (with screenshots)]({% asset posts/2017-04-04-new-ux/appdetails-a.png %})
 * ![App details screen (without screenshots)]({% asset posts/2017-04-04-new-ux/appdetails-b.png %})

In addition, we have been redesigning some of the smaller, but equally as important parts of the app,
such as better support for visually impaired users who make use of tools such as Talkback,
and better support for donating to open source app developers.

This has involved extensive design input from UX designers and the community.
In addition to the user tests that were conducted early on in the design process, further field tests
are currently being conducted to ensure that usability issues with the new design are identified and resolved.

Over the coming weeks you will see alpha releases for v0.103.
We encourage your feedback and suggestions about how to continually improve the F-Droid client. 

This is one of the many improvements happening to the broader F-Droid ecosystem in 2017, so keep an eye out for more!
