---
layout: post
title: "How F-Droid is Bringing Apps to Cuba"
author: "grote"
authorWebsite: "https://blog.grobox.de"
---

![]({% asset posts/2017-07-03-cuba/fdroid-logo.png %})

Only in 2015, when the government opened the first public WiFi hotspots in the country, did internet access become available to ordinary Cubans. Before that, even though modern mobile phones had already found their way into the country, they were mostly used off-line. Now, all these phones can be connected to the internet. However, at 1.50 CUC per hour, this is still not affordable to most Cubans whose average salary is only 20 CUC per month.

![]({% asset posts/2017-07-03-cuba/celulares_apps_and_updates.jpg %})<br/>
*Mobile Phone Shop offering Apps and Updates*

So it is not surprising that most Cubans do not use what little expensive bandwidth they have available to download apps, but use it for other things such as communicating with their relatives. If they want apps, they can go to one of the many mobile phone repair shops and get them installed there for a nominal fee.

In order to distinguish themselves from the tough competition, some shops take an interesting approach: They <a href="https://guardianproject.info/2017/02/22/build-your-own-app-store-android-media-distribution-for-everyone/">open up their own app store</a> in a local (offline) WiFi network to attract customers.

The only existing technology that allows everybody to open their own app store is called <a href="https://f-droid.org/">F-Droid</a>. It is a full-blown app store kit that comes with all the tools and <a href="https://f-droid.org/docs/">documentation</a> required to open up your own store: an <a href="https://gitlab.com/fdroid/fdroidserver/">app store server</a>, the <a href="https://gitlab.com/fdroid/fdroidclient">app</a> to install the apps with on your phone and a <a href="https://gitlab.com/fdroid/repomaker">curation tool</a> to manage your store with ease.

![]({% asset posts/2017-07-03-cuba/fdroid_repo.jpg %})<br/>
*DroidT's F-Droid Repository*

Normally, the F-Droid app that you can download comes with thousands of useful Free Software apps without advertising and user tracking. These however require an internet connection to be downloaded from F-Droid's official server. Thankfully, F-Droid allows you to add other repositories to it. These work similar to the package repositories that you might know from GNU/Linux distributions. Everybody can create their own repository, even in an offline network. As long as people are connected to the same WiFi, they can use your repository to install and update your apps.

![]({% asset posts/2017-07-03-cuba/antenna_outside_shop.jpg %})<br/>
*WiFi Antenna Outside of the Shop*

This is exactly what the <a href="http://droid-tech.com/">DroidT shop</a> did that I visited in <a href="https://en.wikipedia.org/wiki/Sancti_Sp%C3%ADritus">Sancti Spíritus</a>, Cuba. They run their own repository within their local WiFi network. Currently, they offer more than 2000 apps, mostly games, but also other useful apps, for free to everybody within the range of their WiFi router. Having a worse store location than their competitors, it really helps them to drive people to their shop and to build up their reputation within the local community. So far, they are the only store in their city offering this free and convenient service to their customers.

![]({% asset posts/2017-07-03-cuba/child_apps.jpg %})<br/>
*A Cuban child looking through the print-out of available apps*

The apps are downloaded by the store employees once, put into the repository and then are available to an unlimited number of customers without ever needing to connect to the internet again. The DroidT team is even going the last mile by also offering Spanish app metadata such as summaries and app descriptions to make it easier for people to find the app that they are looking for.

At the moment they work on making use of the new screenshot feature that was introduced to the F-Droid app recently, so their customers can browse through the screenshots before deciding whether to install an app or not.

![]({% asset posts/2017-07-03-cuba/fdroid_repo_categories.jpg %})<br/>
*A Screenshot of DroidT's app categories*

Another nice service they offer are app updates that are securely delivered by F-Droid. When somebody who has already downloaded apps from their repository, comes into the range of their WiFi again, F-Droid will check for updates and offer to install the ones that are available. This is a huge advantage in a country where people normally never care about updates at the expense of security.

So it comes at no surprise that their slogan is "BE UPDATE" that even hangs in huge letters right above their desk in their shop. The repository by the way is hosted on the server that you can see directly above the banner with their slogan.

![]({% asset posts/2017-07-03-cuba/be_update1.jpg %})

It is great to see that the free technology that the F-Droid community worked on for so many years to liberate Android users is put to unexpected use by talented individuals in other countries like Cuba and helps to make a difference there.

<hr />

For the sake of completeness however, it should be mentioned that ordinary downloads and F-Droid are not the only ways that Cubans use to get apps. There are weekly data packages that are sent through the country on hard-drives by bus. These <a href="https://en.wikipedia.org/wiki/El_Paquete_Semanal">Paquete Semanal</a> contain mostly movies and TV shows, but also news and apps.

Then, there is a proprietary app called <a href="https://en.wikipedia.org/wiki/Zapya">Zapya</a> that is very popular among young Cubans, because it allows them to wirelessly share apps and other files between two phones. Although F-Droid offers the same functionality, this is not yet widely known and currently being improved to match the simplicity that Zapya offers to Cubans at the moment.

![]({% asset posts/2017-07-03-cuba/zapya_sharing.jpg %})<br/>
*A Cuban sharing apps with Zapya*


*This post was originally published on [blog.grobox.de/2017/how-f-droid-is-bringing-apps-to-cuba](https://blog.grobox.de/2017/how-f-droid-is-bringing-apps-to-cuba/).*

