---
layout: post
title: "F-Droid is 1.0!"
author: "F-Droid"
---

October 10th, 10-10, is the perfect day to announce F-Droid 1.0! After
7 years and the last year of intense development, we are ready to call
the F-Droid ecosystem ready for prime time.  We think that F-Droid is
mature enough and ready for all users.

With 60+ languages, 100+ contributors, 2500+ apps, and many millions
of downloads, F-Droid is already widely used.  It is even the default,
built-in app store for two important Android ROM projects:
[Replicant](https://www.replicant.us/) and
[CopperheadOS](https://copperhead.co/android/).

F-Droid started out with a focus on providing verified free software
in an Android app repository.  That remains the core goal of the
F-Droid community.  We built a lot of software to achieve that goal,
and along the way, we realized that F-Droid is also a complete "app
store kit" that anyone could use. It also includes complete build and
release tools for managing the process of turning app source code into
published builds.


## What's New

There are many things that are new and improved in 1.0, so this post
covers some highlights.  In the user interface, there is a whole now
architecture as well as a lot of new small improvements.

* apps can include [screenshots and feature graphics]({{ site.baseurl }}/docs/All_About_Descriptions_Graphics_and_Screenshots)
* donations to app developers highlighted on the App Details screen
* inline download/install buttons for quick installation
* all app texts can be [translated]({{ site.baseurl }}/docs/Translation_and_Localization)
* apps with [known security vulnerabilities](https://monitor.f-droid.org/anti-feature/KnownVuln) will be marked

{: .gallery}
 * [![App Details]({% asset posts/2017-10-10-fdroid-is-1.0/screenshot-app-details.png %})](https://f-droid.org/repo/org.fdroid.fdroid/en-US/phoneScreenshots/screenshot-app-details.png)
 * [![Search]({% asset posts/2017-10-10-fdroid-is-1.0/screenshot-search.png %})](https://f-droid.org/repo/org.fdroid.fdroid/en-US/phoneScreenshots/screenshot-search.png)
 * [![Updates]({% asset posts/2017-10-10-fdroid-is-1.0/screenshot-updates.png %})](https://f-droid.org/repo/org.fdroid.fdroid/en-US/phoneScreenshots/screenshot-updates.png)


### F-Droid is now a first class app store

F-Droid can now be your only app store, fully integrated into your
device with background updates and streamlined installs, all without
sacrificing any of the privacy or security that F-Droid has always
offered.  F-Droid is already well known among those who install custom
Android ROMs on their devices, and that is now much better supported
via the F-Droid
[Privileged Extension](https://f-droid.org/packages/org.fdroid.fdroid.privileged.ota/),
which can be flashed onto a device like any other OTA (Over-The-Air)
update ZIP.

We will work with any ROM project to help them integrate F-Droid as
the default app store, built into the ROM.  See the
[Privileged Extension instructions](https://gitlab.com/fdroid/privileged-extension/#how-do-i-build-it-into-my-rom)
for how to get started.


### F-Droid in your language

All parts of F-Droid are now translatable, including the app
descriptions, website and the command line tools.  They are already
translated into many languages.  Having free software available in
people's native languages greatly reduces the barriers to entry. Look
at the menu in the upper right of this website for the available
languages.

Is F-Droid not available in your language? Or would you like to help
improve the existing translations?
[Get involved!]({{ site.baseurl }}/docs/Translation_and_Localization)


#### F-Droid app

{: .gallery}
 * [![Tibetan]({% asset posts/2017-10-10-fdroid-is-1.0/fdroid-screenshot-bo.png %})]({% asset fdroid-screenshot-bo.png %})
 * [![Spanish]({% asset posts/2017-10-10-fdroid-is-1.0/fdroid-screenshot-es.png %})]({% asset fdroid-screenshot-es.png %})
 * [![Persian]({% asset posts/2017-10-10-fdroid-is-1.0/fdroid-screenshot-fa.png %})]({% asset fdroid-screenshot-fa.png %})
 * [![Ukrainian]({% asset posts/2017-10-10-fdroid-is-1.0/fdroid-screenshot-uk.png %})]({% asset fdroid-screenshot-uk.png %})
 * [![Japanese]({% asset posts/2017-10-10-fdroid-is-1.0/fdroid-screenshot-ja.png %})]({% asset fdroid-screenshot-ja.png %})
 * [![Chinese]({% asset posts/2017-10-10-fdroid-is-1.0/fdroid-screenshot-zh.png %})]({% asset fdroid-screenshot-zh.png %})


#### _fdroidserver_ tools

```console
$ fdroid update -h
usage: fdroid update [-h] [-v] [-q] [--create-key] [-c] [--delete-unknown]
                     [-b] [-i] [-I] [-e EDITOR] [-w] [--pretty] [--clean]
                     [--nosign] [--use-date-from-apk] [--rename-apks]
                     [--allow-disabled-algorithms] [-W W]

optional arguments:
  -h, --help            show this help message and exit
  -v, --verbose         比一般情况输出更多的信息
  -q, --quiet           仅输出警告和出错信息
  --create-key          在密钥存储中创建资源库签名密钥
  -c, --create-metadata
                        创建缺少的主干元数据文件
  --delete-unknown      从资源库中删除没有元数据的 APK 和 OBB
  -b, --buildreport     报告编译数据状态
  -i, --interactive     需更新事项的互动提示。
  -I, --icons           对超过像素大小上限的全部图标进行尺寸调整，然后退出
```


### Run your own app "repo"

_f-droid.org_ is just one app repository (aka "repo") out of hundreds
of repos created by individuals all around the globe.  So whether you
are a musician who wants to publish their music or a developer who
wants to serve nightly builds of their app, you are free to create
your own repo and share it with other people independently of
F-Droid.org.  F-Droid repos can now include any kind of file: apps,
videos, audio, ebooks, ZIPs, etc

Anyone can make their own F-Droid repo using the _fdroidserver_
command line tools, the same as always.  That requires knowledge of
the command line, manual editing of "metadata" files to edit your
packages’ store details, copying screenshots to the right directory,
etc.  Now with [Repomaker]({{ site.baseurl }}/repomaker), there is a
simple web app to create repos, so special knowledge is no longer
needed. More information on how to install Repomaker coming soon!

There are also new options for publishing custom, hosted repos.
Standard webservers and Amazon S3 have been supported for a while.
Now you can also publish repos directly to GitLab or GitHub.  On top
of that, we have improved the _fdroidserver_ workflow when working
with large collections of APKs, based on feedback from the developers
of [Izzysoft](https://apt.izzysoft.de/fdroid/) and
[Metro Tech & Solutions]({{ site.baseurl }}/2017/07/03/cuba.html).


### Join us!

Do you also want to see Android as a complete free software platform?
Join us!  There are many ways to
[contribute]({{ site.baseurl }}/contribute).

* get [more apps](https://gitlab.com/fdroid/rfp/issues) built and included in _f-droid.org_
* test [nightly builds](https://gitlab.com/fdroid/fdroidclient-nightly)
* [translate]({{ site.baseurl }}/docs/Translation_and_Localization/) any part of F-Droid
* [improve](https://gitlab.com/fdroid/fdroidserver/issues) the server side tools
* add [missing features](https://gitlab.com/fdroid/fdroidclient/issues) to the Android client
* make [Repomaker](https://gitlab.com/fdroid/repomaker/issues) work well on your platform

If you are looking for a good place to get started, see the list of
"[first timer](https://gitlab.com/groups/fdroid/issues?label_name%5B%5D=first-timer)"
issues.
