---
layout: post
title: "New Collaborations on Exposing Tracking"
author: "eighthave"
authorWebsite: "https://forum.f-droid.org/u/hans"
---

Since 2010, the F-Droid community has been working to provide only
100% verified Free Software, and to make apparent all forms of
tracking, advertising, and
"[anti-features](https://monitor.f-droid.org/anti-features)" commonly
found in apps.  F-Droid provides a complete app ecosystem where users
are actively notified of tracking and advertising in the apps, and can
make informed choices.  We have achieved this through the work of many
dedicated volunteers reviewing apps as they are submitted, and marking
the things that they find.

Researchers at [Exodus Privacy](https://exodus-privacy.eu.org) and
[Yale Privacy Lab](https://privacylab.yale.edu) are working on taking
the next big step, by creating tools for automating the process of
finding all the
[various forms of tracking](https://theintercept.com/2017/11/24/staggering-variety-of-clandestine-trackers-found-in-popular-android-apps)
that apps can include.  F-Droid will work with them to merge efforts,
increasing the effectiveness of volunteers, and exposing the inner
workings of software in daily use worldwide.

F-Droid represents a trustworthy method of getting apps, a _libre_ and
_gratis_ alternative to the "app store" model that is driven by
advertising revenue and data collection.  F-Droid makes custom builds
of Free Software like Firefox and Telegram, removing code that limits
the freedom of its users.  What we most often remove is third-party
SDKs (Software Development Kits) that enable tracking while denying
the user of the apps a choice.

There are pragmatic uses of tracking, such as usability testing, crash
reporting, and release management.  Even when such information is
collected in an "anonymous" or "randomized" fashion, it often
represents a unique data profile of a user that may expose private
details.  This is especially true when information is correlated with
the rich data sets of software industry giants.

Billions of users around the globe are now running mobile platforms
based upon Free Software, such as Android.  For many, mobile devices
are the primary gateway to the Internet.  These devices are often
collecting and transmitting intimate details about users such as
behavior and location, through complex and hidden methods.  The
international Free Software community must continue to be a leader,
protecting and restoring trust, privacy, and security in mobile
computing.
