---
layout: post
title: "This Week in F-Droid, Week 19"
author: "Coffee"
authorWebsite: "https://forum.f-droid.org/u/coffee"
---

[F-Droid](https://f-droid.org/) is an installable [catalogue](https://f-droid.org/packages/) of [FOSS](https://en.wikipedia.org/wiki/Free_and_open-source_software) (Free and Open Source Software) applications for the Android platform. The [client](https://f-droid.org/packages/org.fdroid.fdroid/) makes it easy to browse, install, and keep track of updates on your device. This post lists notable things that happened in and around F-Droid this past week.

#### What's happening in F-Droid

* **Rudloff** has been tearing through the [rfp backlog](https://gitlab.com/fdroid/rfp/issues) faster than [Bubu](https://forum.f-droid.org/u/Bubu) and **mimi89999** can review it. This means new apps are getting added to F-Droid faster.

* We've had several comments from people wondering where VLC is. The VLC developers don't want us to distribute outdated versions, so it's in the archive until we can reliably and automatically build it when it updates. For more information, see the [forum thread](https://forum.f-droid.org/t/where-is-the-vlc-app/108).

* [Mastodon](https://joinmastodon.org/): We broke 2K followers on Mastodon this week! In part because [linuxrocks.online](https://linuxrocks.online) was restarted, restoring federation and resulting in an influx of followers from that instance, as well as some 10 day old mentions.

* Did you know it's been possible to view changelogs in F-Droid for a while now? You can help by adding them to upstream projects, [like this](https://github.com/lexica/lexica/tree/master/metadata/android/en-US/changelogs).

#### Community News

* [Martin Pitt](https://piware.de) wrote a rather nice [article on de-Googlifying a phone](https://piware.de/post/2018-05-01-android-degoogle/), with a prominent role for F-Droid.

#### New apps

* [Secure photo viewer](https://f-droid.org/packages/com.gtp.showapicturetoyourfriend/): A media-viewer that functions ontop of your lockscreen. Prevents someone seeing what they are not supposed to or doing anything to your phone.
* [Fairphone Launcher 3](https://f-droid.org/packages/community.fairphone.fplauncher3/): Fairphone Lancher 3 originally developed for Fairphone 2. We've had reports of it failing to install on some phones. See [here](https://gitlab.com/fdroid/fdroiddata/merge_requests/3119) and [here](https://github.com/WeAreFairphone/android_packages_apps_FairphoneLauncher3/issues/6).
* [ADSdroid](https://f-droid.org/packages/hu.vsza.adsdroid/): Get technical datasheets
* [MaterialOS](https://f-droid.org/packages/org.materialos.icons/): Material Design icons for your homescreen
* [OpenVegeMap](https://f-droid.org/packages/pro.rudloff.openvegemap/): Find vegetarian and vegan restaurants in your city
* [Updater for Spotify](https://f-droid.org/packages/ru.ra66it.updaterforspotify/): Download the latest version of Spotify

#### Updated apps

In total, 49 apps were updated this week. Here are the highlights:

* [Fennec F-Droid](https://f-droid.org/packages/org.mozilla.fennec_fdroid/), which is F-Droid's unbranded Firefox build, updated to v60, [finally bringing all Firefox quantum improvements to android](https://www.androidpolice.com/2018/05/04/firefox-60-now-available-finally-brings-quantum-css-engine-android/).

  By the way, several people told us they find the icon ugly. Think you can do better? Here's your chance! Send us a new design, and we might make it the official new Fennec F-Droid icon! Submission and discussion will happen in the [Forum](https://forum.f-droid.org/t/new-icon-for-fennec-f-droid/2810).

* [Conversations](https://f-droid.org/packages/eu.siacs.conversations/) was updated to version 2.2.0 featuring integrated message search, voice recorder and location sharing. Users of the plugins "[Voice Recorder Plugin](https://f-droid.org/packages/eu.siacs.conversations.voicerecorder/)" from the F-Droid repo and "Open Share Location Plugin" from the F-Droid Archive repo can safely uninstall them after updating.

* [Markor](https://f-droid.org/packages/net.gsantner.markor/) 0.3.7 is out on F-Droid, with option to disable red spell check underline, delete action, open link in browser, and more.

* [DAVdroid](https://f-droid.org/packages/at.bitfire.davdroid/) 1.11.2-ose enables [Collection Synchronization](https://forums.bitfire.at/post/467).

* [NewPipe](https://f-droid.org/packages/org.schabi.newpipe/) was updated to 0.13.3. You can now double-tap the middle of the player screen to pause the video. The history view and project layout was refactored, along with other improvements and fixes.

* [KISS launcher](https://f-droid.org/packages/fr.neamar.kiss/) 3.2.0 brings improved gestures, drag & drop for favourites, and the keyboard layout no longer changes when typing a phone number.

* [Street­Complete](https://f-droid.org/packages/de.westnordost.streetcomplete/) was updated from 5.0 to 5.2, fixing battery drain and performance problems, a crash on downloading construction quest, compass improvements and more.

* [Ring](https://f-droid.org/packages/cx.ring/) was updated from 20180421 to 20180501
* [Maps](https://f-droid.org/packages/com.github.axet.maps/) was updated from 8.1.0-4-Google to 8.2.3-1-Google

#### Archived apps

* **Orweb** was archived because it has been superceded by **Orfox** from the Guardian Project repo a while ago, and is no longer maintained at all.

#### In the next TWIF

We want to hear from you! Did your favourite app update? Tell us what's good and new! Did someone write an article involving F-Droid? Let us know! Anything that's of interest to F-Droid users is game.

Please tell us in the [TWIF submission thread](https://forum.f-droid.org/t/twif-submission-thread) on the forum, or tag your update [#fdroid](https://mastodon.technology/tags/fdroid) on Mastodon. (And cc [@fdroidorg@mastodon.technology](https://mastodon.technology/@fdroidorg) to make sure it reaches our instance.)

Feedback? Come talk to us in #fdroid on [Freenode](https://freenode.net/), on Matrix via [#freenode_#fdroid:matrix.org](https://matrix.to/#/#freenode_#fdroid:matrix.org) or on [Telegram](https://t.me/joinchat/AlRQekvjWDTuQrCgMYSNVA). All of these spaces are bridged together. You can also join us on the [forum](https://forum.f-droid.org/), [toot on Mastodon](https://mastodon.technology/@fdroidorg), or, if you absolutely must, [tweet us](https://twitter.com/fdroidorg).
