---
layout: post
title: "This Week in F-Droid, Week 23"
author: "Coffee"
authorWebsite: "https://forum.f-droid.org/u/coffee"
---

[F-Droid](https://f-droid.org/) is a [repository](https://f-droid.org/packages/) of verified [free and open source](https://en.wikipedia.org/wiki/Free_and_open-source_software) Android apps, a [client](https://f-droid.org/packages/org.fdroid.fdroid/) to access it, as well as a whole "app store kit", providing all the tools needed to set up and run an app store. It is a community-run free software project developed by a wide range of contributors. This is their story this past week.

#### F-Droid core

* Only a few days left for the [Fennec icon challenge](https://forum.f-droid.org/t/new-icon-for-fennec-f-droid/2810)! This is your final reminder that submissions close [Sunday the 10th of June, 24:00 UTC](https://www.wolframalpha.com/input/?i=June+10,+2018,+24:00+UTC)!

  We will be starting the vote shortly after that. The voting period will last until the end of June to give less frequent contributers a chance to vote.

* By the time you read this, [Bubu](https://forum.f-droid.org/u/Bubu) will have given a talk at the AfRA hackerspace in Berlin, demonstrating the whole process of adding apps to the main F-Droid repository, from the [rfp](https://gitlab.com/fdroid/rfp) to the actual publishing.

#### Community News

* Several projects moved from GitHub to GitLab in the wake of Microsoft's acquisition. Includes [M.A.L.P.](https://f-droid.org/packages/org.gateshipone.malp/), [ownCloud Bookmarks](https://f-droid.org/packages/org.schabi.nxbookmarks.owncloud/), [Nextcloud Bookmarks](https://f-droid.org/packages/org.schabi.nxbookmarks/), [SVG redirect](https://f-droid.org/packages/org.schabi.svgredirect/), [OpenHitboxStreams](https://f-droid.org/packages/org.schabi.openhitboxstreams/), [Terminightor](https://f-droid.org/packages/org.schabi.terminightor/), [BurgerWP](https://f-droid.org/packages/org.sasehash.burgerwp/), [Apollo Trivia](https://f-droid.org/packages/net.jakevossen.apollotrivia/), [Mastalab](https://f-droid.org/packages/fr.gouv.etalab.mastodon/)... More to follow?

  To everyone who is moving off of GitHub: Please let your package maintainers know you've moved! In case of F-Droid, the best way to let us know is to open an issue on [fdroiddata](https://gitlab.com/fdroid/fdroiddata), or better yet, a merge request. [Some](https://gitlab.com/fdroid/fdroiddata/merge_requests/3270) [random](https://gitlab.com/fdroid/fdroiddata/merge_requests/3285) [examples](https://gitlab.com/fdroid/fdroiddata/merge_requests/3287).

#### New apps

This week we added 19! new apps, shattering the previous record of 12! Most of these come from the backlog of our volunteers working through [Rudloff](https://forum.f-droid.org/u/rudloff)'s additions.

* [OpenL](https://f-droid.org/packages/com.anthony.deepl.openl/): Unofficial application of DeepL Translator
* [Simple Accounting](https://f-droid.org/packages/com.emmanuelmess.simpleaccounting/): Manage your money easily
* [Feeel](https://f-droid.org/packages/com.enjoyingfoss.feeel/): Guided at-home exercises
* [Music Player GO](https://f-droid.org/packages/com.iven.musicplayergo/): Very slim music player
* [Apod Classic](https://f-droid.org/packages/com.jvillalba.apod.classic/): NASA Astronomy Picture of the Day Classic
* [Apod MD](https://f-droid.org/packages/com.jvillalba.apod.md/): NASA Astronomy Picture of the Day with Material Design
* [Blacklist Blocker](https://f-droid.org/packages/com.kaliturin.blacklist/): Block unwanted calls and/or SMS
* [Encrypt Text](https://f-droid.org/packages/dk.meznik.jan.encrypttext/): Minimalistic application to encrypt plain text using AES 256
* [Android Permissions](https://f-droid.org/packages/in.arjsna.permissionchecker/): Check requested permission details of all installed applications
* [Tower Collector](https://f-droid.org/packages/info.zamojski.soft.towercollector/)
* [Open Sudoku](https://f-droid.org/packages/org.moire.opensudoku/): Sudoku game
* [Mupen64Plus AE](https://f-droid.org/packages/org.mupen64plusae.v3.alpha/): Front end for Mupen64 Plus
* [BurgerWP](https://f-droid.org/packages/org.sasehash.burgerwp/): Get rid of your old boring Wallpaper and replace it with burgers and pizza
* [Checkers](https://f-droid.org/packages/org.secuso.privacyfriendlydame/): Strategy board game for one or two players
* [Interval Timer](https://f-droid.org/packages/org.secuso.privacyfriendlyintervaltimer/): Privacy Friendly App that supports you during circuit exercise sessions
* [Ludo](https://f-droid.org/packages/org.secuso.privacyfriendlyludo/): Boardgame for 1 up to 6 players
* [Reckoning Skills](https://f-droid.org/packages/org.secuso.privacyfriendlyrecknoningskills/): Helps you improving your mental calculation skills
* [Titan Companion](https://f-droid.org/packages/pt.joaomneto.titancompanion/): Stat sheet and rules engine for all Fighting Fantasy gamebooks
* [Simple Keyboard](https://f-droid.org/packages/rkr.simplekeyboard.inputmethod/): Simple keyboard and nothing more

#### Updated apps

In total, 50 apps were updated this week. Here are the highlights:

* [NewPipe](https://f-droid.org/packages/org.schabi.newpipe/) 0.13.5 adds the ability to limit video quality when on mobile data, remembers brightness for the session, improves download performance on weaker CPUs and fixes a crash on opening downloads. It also gained beta support for SoundCloud recently. Did you know NewPipe can stream just the audio from Youtube? And that this also works for entire playlists?

* [Stringlate](https://f-droid.org/packages/io.github.lonamiwebs.stringlate/) is a tool to help translate Android apps to other languages. 0.15.1 is now out with several UI improvements that should make translation a lot easier.

* [Fairphone Launcher 3](https://f-droid.org/packages/community.fairphone.fplauncher3/) was updated from 2.0 to 2.1.0 and can now be installed on Lineage-based ROMs as well.

* [Riot.im](https://f-droid.org/packages/im.vector.alpha/) 0.8.10 finally brings full sticker support! Also in this release: account deactivation for enhanced [GDPR](https://en.wikipedia.org/wiki/General_Data_Protection_Regulation) compliance.

* [JustChess](https://f-droid.org/packages/com.alaskalinuxuser.justchess/) 2.0 allows you to continue play after you switch away from it, and now works in landscape mode as well.

* [DuckDuckGo Privacy Browser](https://f-droid.org/packages/com.duckduckgo.mobile.android/) was updated from 5.2.0 to 5.6.0, with UI tweaks, improved privacy, anonymous feedback option, streamlined content blocking and stability enhancements.

* [MGit](https://f-droid.org/packages/com.manichord.mgit/) is back with 1.5.4.4. This release fixes a crash which makes the app wholly unusable if you disable gravatars. Recently it also introduced a fix which makes TLSV1.2 work on android 4.4 devices, so you can now use it with GitHub again.

Thanks to everyone who suggested updates or provided tips. Keep 'em coming!

#### In the next TWIF

What ends up in the next TWIF is all up to you! There are way too many app updates to keep track of them all, so we need your help to highlight the most interesting changes. And of course, we love to hear about all things involving F-Droid in some way.

Please tell us in the [TWIF submission thread](https://forum.f-droid.org/t/twif-submission-thread) on the forum, or tag your update [#fdroid](https://mastodon.technology/tags/fdroid) on Mastodon. (And cc [@fdroidorg@mastodon.technology](https://mastodon.technology/@fdroidorg) to make sure it reaches our instance.) The deadline to the next TWIF is Thursday 12:00 UTC.

Feedback? Come talk to us in #fdroid on [Freenode](https://freenode.net/), on Matrix via [#freenode_#fdroid:matrix.org](https://matrix.to/#/#freenode_#fdroid:matrix.org) or on [Telegram](https://t.me/joinchat/AlRQekvjWDTuQrCgMYSNVA). All of these spaces are bridged together. You can also join us on the [forum](https://forum.f-droid.org/), toot at [@fdroidorg@mastodon.technology](https://mastodon.technology/@fdroidorg) on Mastodon, or, if you absolutely must, [tweet us](https://twitter.com/fdroidorg).
