---
layout: post
title: "This Week in F-Droid, Week 24"
author: "Coffee"
authorWebsite: "https://forum.f-droid.org/u/coffee"
---

[F-Droid](https://f-droid.org/) is a [repository](https://f-droid.org/packages/) of verified [free and open source](https://en.wikipedia.org/wiki/Free_and_open-source_software) Android apps, a [client](https://f-droid.org/packages/org.fdroid.fdroid/) to access it, as well as a whole "app store kit", providing all the tools needed to set up and run an app store. It is a community-run free software project developed by a wide range of contributors. This is their story this past week.

#### F-Droid core

* We broke 2500 followers on [Mastodon](https://mastodon.technology/@fdroidorg)!

* [_hc](https://forum.f-droid.org/u/hans) is working full-time on the [whitelabel]({{ site.baseurl }}/docs/Whitelabel_Builds/) support this week, eliminating some technical debt in the process. This work is part of a paid contract.

#### Community News

* [mvdan](https://forum.f-droid.org/u/mvdan) [released](https://github.com/mvdan/fdroidcl/releases/tag/v0.4.0) fdroidcl 0.4.0. [Fdroidcl](https://github.com/mvdan/fdroidcl) is an F-Droid desktop client which talks to connected devices via [ADB](https://en.wikipedia.org/wiki/Android_Debug_Bridge). If you have any input or suggestions, please open new issues on the [tracker](https://github.com/mvdan/fdroidcl/issues). Pull requests are always welcome.

* The slides to [Bubu](https://forum.f-droid.org/u/Bubu)'s talk which we mentioned last week are now [available]({% asset posts/2018-06-14-this-week-in-fdroid-w24/2018-06-08-bubu-fdroid-talk-afra.pdf %})!

#### New apps

* [Simple Search](https://f-droid.org/packages/de.tobiasbielefeld.searchbar/): Simple and customizable search bar
* [IMCKTG](https://f-droid.org/packages/us.achromaticmetaphor.imcktg/): Generates Morse code ringtones in WAVE and iMelody formats

#### Updated apps

In total, 60 apps were updated this week. Here are the highlights:

* [Fennec F-Droid](https://f-droid.org/packages/org.mozilla.fennec_fdroid/) 60.0.2 has been released to fix a [security issue](https://www.mozilla.org/en-US/security/advisories/mfsa2018-14/).

* Links to gitlab.com will now open in [LabCoat](https://f-droid.org/packages/com.commit451.gitlab/) as of version 2.6.0!

* [Nextcloud Talk](https://f-droid.org/packages/com.nextcloud.talk2/) had a major update to 2.0.0 and now has chat! (Including paginated scrolling, mentions auto-completion and other nice tricks.) Other major features include client certificate based authentication, voice-only calls, significantly improved calls UI, and endless loading for contacts & remote search. Note that this app requires you to have your own server.

* [The Light](https://f-droid.org/packages/org.hlwd.bible/) is an easy to use multilingual bible app with quick search and share, plans of reading and articles. Version 3.3 comes with several UI fixes, and recently it has also seen a major update with an additional layout to support tablets, Android TV and set-top boxes. In addition to touchscreen and mouse, it can be controlled by keyboard and [D-pad](https://en.wikipedia.org/wiki/D-pad).

* [Suntimes](https://f-droid.org/packages/com.forrestguice.suntimeswidget/) is an offline app that calculates when the sun and moon rise and set, and shows you this in the app or in a widget. Includes golden hour, blue hour, civil, nautical and astronomical twilight etc. 0.8.4 fixes several crashes and bugs, mostly related to the polar regions.

* [Music Player GO](https://f-droid.org/packages/com.iven.musicplayergo/) is a very slim mucic player (app size only ~1M). It offers a colorful and simple "Unified UI" (no need to navigate between activities). With version 2.5 comes a new and improved UI.

* After about a year of inactivity, [BirthDay Droid](https://f-droid.org/packages/com.tmendes.birthdaydroid/) was updated from 20170615_VC12 to 20180602_VC20. Changes are unclear, but it requires at least Android 6.0 now. (Previously 4.4.)

* [WiFiAnalyzer](https://f-droid.org/packages/com.vrem.wifianalyzer/) was updated from 1.8.11 to 1.9.1, with translation updates, a new icon, and bug fixes.

* [OpenFoodFacts](https://f-droid.org/packages/openfoodfacts.github.scrachx.openfood/), [OpenBeautyFacts](https://f-droid.org/packages/openfoodfacts.github.scrachx.openbeauty/) and [Open Pet Food Facts](https://f-droid.org/packages/org.openpetfoodfacts.scanner/) all had a big version jump to bring the version numbers in alignment with the Play Store flavor.

#### In the next TWIF

The next TWIF will be an XL edition, covering the next two weeks. That's right, [Coffee](https://forum.f-droid.org/u/Coffee) is taking some vacation, so see you in two weeks!

As usual, please report interesting updates. There are way too many app updates to keep track of them all, so we need your help to highlight the most interesting changes. And of course, we love to hear about all things involving F-Droid in some way.

Please tell us in the [TWIF submission thread](https://forum.f-droid.org/t/twif-submission-thread) on the forum, or tag your update [#fdroid](https://mastodon.technology/tags/fdroid) on Mastodon. (And cc [@fdroidorg@mastodon.technology](https://mastodon.technology/@fdroidorg) to make sure it reaches our instance.) The deadline to the next TWIF is Thursday 28 June 2018, 12:00 UTC.

Feedback? Come talk to us in #fdroid on [Freenode](https://freenode.net/), on Matrix via [#freenode_#fdroid:matrix.org](https://matrix.to/#/#freenode_#fdroid:matrix.org) or on [Telegram](https://t.me/joinchat/AlRQekvjWDTuQrCgMYSNVA). All of these spaces are bridged together. You can also join us on the [forum](https://forum.f-droid.org/), toot at [@fdroidorg@mastodon.technology](https://mastodon.technology/@fdroidorg) on Mastodon, or, if you absolutely must, [tweet us](https://twitter.com/fdroidorg).
