---
layout: post
title: "This Week in F-Droid, Week 26"
author: "Coffee"
authorWebsite: "https://forum.f-droid.org/u/coffee"
---

[F-Droid](https://f-droid.org/) is a [repository](https://f-droid.org/packages/) of verified [free and open source](https://en.wikipedia.org/wiki/Free_and_open-source_software) Android apps, a [client](https://f-droid.org/packages/org.fdroid.fdroid/) to access it, as well as a whole "app store kit", providing all the tools needed to set up and run an app store. It is a community-run free software project developed by a wide range of contributors. This is their story this past week.

Thanks to [Bubu](https://forum.f-droid.org/u/Bubu) for doing a surprise week 25 TWIF!

#### F-Droid core

* If you installed alpha2 of the F-Droid client _and_ are using the [Privileged Extension](https://gitlab.com/fdroid/privileged-extension/#f-droid-privileged-extension), you will need to enable Unknown Sources to be able to upgrade. (After which you can turn it off again.) 

* Work on the whitelabel client continues, and [issue 1311](https://gitlab.com/fdroid/fdroidclient/issues/1311), in which F-Droid wants to update/reinstall uninstalled apps, is being fixed as part of this work.

#### Community News

No news. (Is good news.)

#### New apps

* [Stoic Reading](https://f-droid.org/packages/app.reading.stoic.stoicreading/): Consolidation of Stoic texts
* [AnySoftKeyboard: Afrikaans](https://f-droid.org/packages/com.anysoftkeyboard.languagepack.afrikaans/): Language pack for [AnySoftKeyboard](https://f-droid.org/packages/com.menny.android.anysoftkeyboard/)
* [AnySoftKeyboard: Galician](https://f-droid.org/packages/com.anysoftkeyboard.languagepack.galician/): Language pack for [AnySoftKeyboard](https://f-droid.org/packages/com.menny.android.anysoftkeyboard/)
* [HABPanelViewer](https://f-droid.org/packages/de.vier_bier.habpanelviewer/)
* [Stratum 0 Widget](https://f-droid.org/packages/horse.amazin.my.stratum0.statuswidget/): Status Widget for Stratum 0, Hackerspace Braunschweig
* [J2ME Loader](https://f-droid.org/packages/ru.playsoftware.j2meloader/): J2ME emulator

#### Updated apps

In total, 95 apps were updated in the past two weeks. Here are the highlights:

* The package ID of [p≡p pretty Easy privacy](https://f-droid.org/packages/pep.android.k9/) was changed from "pep.android.k9" to "[security.pEp](https://f-droid.org/packages/security.pEp/)". In order to update, and to continue receiving updates, you will need to uninstall and reinstall [p≡p](https://f-droid.org/packages/security.pEp/) once.

* [DuckDuckGo Privacy Browser](https://f-droid.org/packages/com.duckduckgo.mobile.android/) was updated from 5.6.0 to 5.7.0. In this update native feedback and broken site forms were added to make it easier to communicate with DDG anonymously. UX and performance improvements include hiding the omnibar when watching full-screen video, fixing the menu height on small screens and correcting the widget on custom launchers. The browser is shown faster, and now shows the start of a URL by default rather than the end.

* [UltraSonic](https://f-droid.org/packages/org.moire.ultrasonic/) was updated from 2.1.0 to 2.5.0, with a new app icon, restart of playback if headphones are re-inserted, improved cache management, better error handling and feedback, and loads of bug fixes. And last but not least, builds on F-Droid again.

* [Video Transcoder](https://f-droid.org/packages/protect.videoeditor/) updated to 0.11, adding a scroll bar when searching through folder, support for SEND intent and custom resolutions, a setting to configure media search location, and changing the app icon and color scheme.

* After more than 2 years, [Wi-Fi Reminders](https://f-droid.org/packages/ru.glesik.wifireminders/) has a new release in the form of Android 8-only version 1.3.0 with mobile CellID support and adaptive icon.

* After about 1.5 years of not building on F-Droid, [Teleposter](https://f-droid.org/packages/telegra.ph/) was updated from 1.1.1 to 1.5, now finally with the option to upload images, improved editor, login with Telegram, different color scheme, more useful error messages and many crash fixes.

#### In the next TWIF

If you just released a significant update and want it to get some attention here, please get in touch. There are way too many app updates to keep track of them all, so we need your help to highlight the important ones. And of course, if you're doing anything involving F-Droid in some way, we love to hear about it!

Please tell us in the [TWIF submission thread](https://forum.f-droid.org/t/twif-submission-thread) on the forum, or toot us at [@fdroidorg@mastodon.technology](https://mastodon.technology/@fdroidorg) and tag with [#TWIF](https://mastodon.technology/tags/twif). The deadline to the next TWIF is Thursday 12:00 UTC.

Got Feedback? We are very tootable at [@fdroidorg@mastodon.technology](https://mastodon.technology/@fdroidorg) on Mastodon. If you'd like to have a chat, you can find us in #fdroid on [Freenode](https://freenode.net/), on Matrix via [#freenode_#fdroid:matrix.org](https://matrix.to/#/#freenode_#fdroid:matrix.org) or on [Telegram](https://t.me/joinchat/AlRQekvjWDTuQrCgMYSNVA). All of these spaces are bridged together, so the choice is yours. You can also join us on the [forum](https://forum.f-droid.org/).
