---
layout: post
title: "This Week in F-Droid, Week 28"
author: "Coffee"
authorWebsite: "https://open.source.coffee"
---

[F-Droid](https://f-droid.org/) is a [repository](https://f-droid.org/packages/) of verified [free and open source](https://en.wikipedia.org/wiki/Free_and_open-source_software) Android apps, a [client](https://f-droid.org/packages/org.fdroid.fdroid/) to access it, as well as a whole "app store kit", providing all the tools needed to set up and run an app store. It is a community-run free software project developed by a wide range of contributors. This is their story this past week.

#### F-Droid core

* [Izzy](https://forum.f-droid.org/u/izzy) is currently in the process of adding tons of expanded app descriptions. Many apps should already have better descriptions, with even more to come.

* Meanwhile, [_hc](https://forum.f-droid.org/u/hans) has been working on polishing and finalizing the F-Droid client for the 1.3 release.

* [Bubu](https://forum.f-droid.org/u/Bubu) chimed in saying there are only 28 of [Rudloff](https://forum.f-droid.org/u/rudloff)'s apps left to be reviewed and accepted. Less when you read this.

* We are still experiencing problems with publishing, only getting updates out every 3 days or so. We're working on it.

#### Community News

* [Liberapay is in trouble](https://medium.com/liberapay-blog/liberapay-is-in-trouble-b58b40714d82). This hits us as well as everyone else who uses Liberapay. Please act soon and make sure your group takes are up to date.

* The Guardian Project submitted their final prototype of [Project Wind](https://guardianproject.info/wind/) to Mozilla's [Wireless Challenge](https://wirelesschallenge.mozilla.org) and has already won some money with it. The F-Droid app is a key piece of Project Wind, and as such will benefit from some of the prize money. You can [see the prototype in action in this video](https://youtu.be/fGuiy3rlOVQ).

  Additionally, the USB thumb drive and SD card swap you see in the demo will make it to the official F-Droid app at some point, so you will then be able to put a whole or partial mirror of any F-Droid compatible repository on a card or stick, plug that into a phone and install from the repository without any network connection whatsoever.

* Mats Sjöberg writes about [simplifying his digital life](https://sjoberg.fi/blog/simplify.html), explaining how he makes do without Google and keeps internet distractions at bay. If you'd like to have less stress and more free time, you should definitely give it a read.

* A German public transportation app, Öffi, was removed from Google's Play Store, for unclear reasons. More information in [this article](https://heise.de/-4104626) (in German). The app is now offered on the author's web site as well as through a private F-Droid repository. Please be aware that this repository is not under F-Droid's control, and that Öffi is not open source. There's a push going to get the author to open source it, however. Meanwhile, [Transportr](https://f-droid.org/packages/de.grobox.liberario/) is a reasonable alternative which _is_ free software.

* There may or may not be a source of F-Droid swag (shirts) soon. Stay tuned!

#### New apps

* [GPSTest](https://f-droid.org/packages/com.android.gpstest.osmdroid/): An app for testing GPS and GNSS capabilities of a device
* [HyperRogue](https://f-droid.org/packages/com.roguetemple.hyperroid/): Top-down rogue-like adventure
* [SuperTuxKart](https://f-droid.org/packages/org.supertuxkart.stk/): Play a kart racing games with Tux and friends
* [Poland can into Space](https://f-droid.org/packages/pl.sanszo.pcis/): Help Polandball to get into Space

#### Updated apps

In total, 51 apps were updated this week. Here are the highlights:

* [Tusky](https://f-droid.org/packages/com.keylesspalace.tusky/) 2.0 is out! Lots of changes, among others a redesign of the profile view including support for the account fields and bot badges introduced in Mastodon 2.4. On top of that, custom emoji can be used almost everywhere, there's a choice between three different emoji styles, and lots of other improvements.

* [Termux](https://f-droid.org/packages/com.termux/) combines powerful terminal emulation with an extensive Linux package collection. Version 0.64 introduces basic accessibility support, and fixes some layout problems with the extra keyboard.

* [Vespucci](https://f-droid.org/packages/de.blau.android/) had a major release, updating from 10.2.6.0 to 11.0.0.0. See the [changelog](https://github.com/MarcusWolschon/osmeditor4android/blob/HEAD/CHANGELOG.txt) for details.

* [Simple Search](https://f-droid.org/packages/de.tobiasbielefeld.searchbar/) 1.2 brings a new dark theme! Metager has been added as a search engine, and 3 different customized search engines can now be set up.

* [StreetComplete](https://f-droid.org/packages/de.westnordost.streetcomplete/) also had a major release. 6.0 adds 3 new quests: building type, path surface and one-way roads. There are enhancements to 6 more quest types, an updated privacy statement, and several smaller enhancements and fixes.

* [Riot.im](https://f-droid.org/packages/im.vector.alpha/) 0.8.12 brings important improvements, including a floating action menu, voice messages (in conjunction with any compatible external app - [Voice Recorder Plugin](https://f-droid.org/packages/eu.siacs.conversations.voicerecorder/) seems to be the most recommended), and the ability to manually re-request decryption keys from your other devices. Other small improvements and bug fixes include the ability to detect when the phone is in Do Not Disturb mode. Note that voice messages are experimental and need to be enabled in settings.

* [Fennec F-Droid](https://f-droid.org/packages/org.mozilla.fennec_fdroid/) 61.0 comes with some performance enhancements to rendering and scrolling, on-by-default support for the latest TLSv1.3 draft, and fixes a recurring crash with Galaxy S8 devices running Android 8.0 as well as various security issues. 

* [Tasks](https://f-droid.org/packages/org.tasks/) 6.1 brings customized launcher and shortcut widget icons, custom text selection action for Android 6+, updated translations and a slew of crash fixes.

* [Easer](https://f-droid.org/packages/ryey.easer/) is that event-driven Android automation app. Version 0.6.7 adds _Dynamics_ and support for _Dynamics_ in `NotificationEventPlugin`. _Dynamics_ is the universal way of passing data from _Event_ to _Profile_, and replaces the previous formatting expressions.

#### In the next TWIF

If you just released a significant update and want it to get some attention here, please get in touch. There are way too many app updates to keep track of them all, so we need your help to highlight the important ones. And of course, if you're doing anything involving F-Droid in some way, we love to hear about it!

Please tell us in the [TWIF submission thread](https://forum.f-droid.org/t/twif-submission-thread) on the forum, or toot us at [@fdroidorg@mastodon.technology](https://mastodon.technology/@fdroidorg) and tag with [#TWIF](https://mastodon.technology/tags/twif). The deadline to the next TWIF is Thursday 12:00 UTC.

Got Feedback? We are very tootable at [@fdroidorg@mastodon.technology](https://mastodon.technology/@fdroidorg) on Mastodon. If you'd like to have a chat, you can find us in #fdroid on [Freenode](https://freenode.net/), on Matrix via [#freenode_#fdroid:matrix.org](https://matrix.to/#/#freenode_#fdroid:matrix.org) or on [Telegram](https://t.me/joinchat/AlRQekvjWDTuQrCgMYSNVA). All of these spaces are bridged together, so the choice is yours. You can also join us on the [forum](https://forum.f-droid.org/).
