---
layout: post
title: "TWIF 18: Navigation Apps Updated" 
author: "Blendergeek"
featured: '<em style="padding: 0.15em 0.5em 0.10em; margin-right: 0.5ex; box-shadow: 0.1em 0.05em 0.1em rgba(0, 0, 0, 0.3); border-radius: 1em; color: black; background: linear-gradient(orange, yellow);">Featured</em>'
---

This Week in F-Droid 18, Week 34, 2018.

Highlights: 11 newly released apps, OsmAnd and Maps receive major updates, upcoming talks at F/LOSS conferences, and preliminary discussion on efforts to decentralise F-Droid index creation.
<!--more-->

**[F-Droid](https://f-droid.org/)** is a **[repository](https://f-droid.org/packages/)** of verified **[free and open source](https://en.wikipedia.org/wiki/Free_and_open-source_software)** Android apps, a **[client](https://f-droid.org/packages/org.fdroid.fdroid/)** to access it, as well as a whole "app store kit", providing all the tools needed to set up and run an app store. It is a community-run free software project developed by a wide range of contributors. This is their story this past week.


#### Upcoming Conferences
Members of the F-Droid community love to get out and spread the word about F-Droid. The Nextcloud Conference in Berlin began today and **[@Bubu](https://chaos.social/@Bubu)** will be giving a talk on Nextcloud on Saturday. After the talk, the slides will be available at this **[link](https://bubu1.eu/fdroid_lightning_talk_nextcloudconf.pdf)**. Before the talk that link will lead you to a 404 so be patient. Two years ago, **[@_hc](https://forum.f-droid.org/u/hans)** gave a talk at FOSDEM 2016 showcasing how F-Droid can protect users privacy and help users to evade censorship. @Bubu hopes that F-Droid can return to FOSDEM in 2019; he is hoping to present a talk and possibly have a dedicated F-Droid stand. @Bubu has started a **[thread](https://forum.f-droid.org/t/fosdem-2019/3652)** on the forum to discuss plans for FOSDEM 2019. 

#### Decentralized Index Generation
**[@Tovok](https://blog.grobox.de/)** from the #fdroid-dev IRC channel has begun brainstorming ways to decentralize the index creation for the F-Droid main repository. As this seems to be a new problem, a new protocol will be needed. The goal of this new protocol will be to reproducibly build the repository index in a decenralized manner without relying on any trusted parties. Given sufficient interest, @Tovok may write up the ideas for decentralised index creation in a blog post. 


#### Added Apps

* **[LaaNo](https://f-droid.org/packages/com.bytesforge.linkasanote/)**: Bind notes to links and sync them with Nextcloud
* **[IPCam Demo](https://f-droid.org/packages/com.github.niqdev.ipcam/)**: MJPEG video streaming on Android
* **[FIND3 Scanner](https://f-droid.org/packages/com.internalpositioning.find3.find3app/)**: Scan Bluetooth and WiFi for FIND3
* **[Wanicchou](https://f-droid.org/packages/com.waifusims.wanicchou/)**: Online Japanese-Japanese Dictionary with Anki support
* **[wownerujo](https://f-droid.org/packages/com.wownero.wownerujo/)**: Wownero wallet
* **[Meshenger](https://f-droid.org/packages/d.d.meshenger/)**: An Open-Source P2P Messenger
* **[OpenUntis](https://f-droid.org/packages/de.perflyst.untis/)**: An alternative FLOSS client for the Untis timetable system
* **[AnExplorer Pro](https://f-droid.org/packages/dev.dworks.apps.anexplorer.pro/)**: All-in-one file management tools
* **[Mundraub](https://f-droid.org/packages/eu.quelltext.mundraub/)**: Unofficial App for Mundraub.org
* **[Techahashi](https://f-droid.org/packages/negativedensity.techahashi/)**: Minimal presentation tool, Takahashi method with technical upgrades
* **[OpenFool](https://f-droid.org/packages/ru.hyst329.openfool/)**  OpenFool is a free and open source Fool (Durak)** card game for desktop and Android.

11 apps were added

#### Updated Apps

In total, 62 apps were updated this week. Here are the highlights.

* {{ page.featured }} **[Maps](https://f-droid.org/packages/com.github.axet.maps/)** is an offline openstreetmap app. Version 8.3.5-3 finally brings a fix that allows users to log in to OpenStreetMap.org so they can edit the map.
* Everybody loves the SimpleMobileTools from Tibor Kaputa. **[Gallery](https://f-droid.org/packages/com.simplemobiletools.gallery/)** version 4.6.1 now supports SVG images making it one of the few Android apps to do so. Further, the fullscreen image support has been improved along with other smaller parts of the UX.
* {{ page.featured }} **[A Photo Manager](https://f-droid.org/packages/de.k3b.android.androFotoFinder/)** the gallery app with tag support and powerfull Openstreetmap integration has received a major update to 0.7.0 with new icons. Major improvements include a new search bar for finding photos along with a date-picker to choose "virtual-albums' from folder-picker or any file manager. An upcoming bugfix release to 0.7.1 next week will fix the broken “show in new gallery/map”.
* The testing only **[Bitcoin Wallet [testnet3]](https://f-droid.org/packages/de.schildbach.wallet_test/)** was updated from 6.29 to 6.30 and now builds reproducibly.
* **[Tutanota](https://f-droid.org/packages/de.tutao.tutanota/)**, an encrypted email client, just came to F-Droid last week and has already received a minor bug fix release. It was updated from 3.35.13 to 3.36.1 fixing a bug with the 2FA dialog and a few other minor stability and performance bugs. 
* While some users may shy away from YouTube, F-Droid still provides several high quality open-source apps to help you binge on YouTube videos. **[SkyTube](https://f-droid.org/packages/free.rm.skytube.oss/)** receieved a major update to version 2.9.0 bringing a slough of new features including video blocking, volume and brightness gestures, search history, a new video player, better video and playlist support and a new icon. 
* {{ page.featured }} **[OsmAnd~](https://f-droid.org/packages/net.osmand.plus/)** was updated from 3.0.4 to 3.1.6. The most exciting change with this update is improved OSM editing. Users can now modify tags on multinode objects in OSM such as building or roads. Previously only point objects could modified. Other changes include a fix for OSM notes and refactored and improved wikivoyage and wikipedia articles in French and Italian.
* **[Gadgetbridge](https://f-droid.org/packages/nodomain.freeyourgadget.gadgetbridge/)** allows you to communicate with many types of devices including Pebble, Mi Band, Amazon Bip, and Hplus.  Version 0.29.1 brings better language and notifcation support to the Mi Band 3 and began implementation of start and end of sleep statistics. 
* **[OpenFoodFacts](https://f-droid.org/packages/openfoodfacts.github.scrachx.openfood/)** provides a public database of food ingredients, allergens, and nutrition facts. Version 2.9.0 allows users to edit any product on Open Pet Food Facts. It also brings new translations in Slovak, Hebrew, Spanish, Arabic, Dutch, Hungarian, Vietnamese, and more. OpenBeautyFacts and OpenPetFoodFacts received similar updates.
* **[Tremotesf](https://f-droid.org/packages/org.equeim.tremotesf/)**, the remote control for the Transmission BitTorrent client was updated to version 1.8.1. This fixes a crash when disconnecting from a server. 
* The Android inventory agent, **[Inventory](https://f-droid.org/packages/org.flyve.inventory.agent/)**, got its 1.0 release. This is major update brings new anonymous voluntary data sharing, a new main app layout, an overhauled interface, and modern Android permission dialogs. 

#### In the next TWIF

Hey there, developers! Do you know what would be a good thing to do for your project? **[Keep a changelog](https://keepachangelog.com)**! It lets humans quickly understand what's changed in your software. If there's anything of note in there, you might even see it featured in the next TWIF!

As great as changelogs are, don't forget to send in your tips! There are way too many app updates to keep track of them all, and we'd love your help in highlighting the important ones. And of course, if you're doing anything involving F-Droid in any way, tell us about it!

Send tips to **[@fdroidorg@mastodon.technology](https://mastodon.technology/@fdroidorg)** and remember to tag with **[#TWIF](https://mastodon.technology/tags/twif)**. Or use the **[TWIF submission thread](https://forum.f-droid.org/t/twif-submission-thread)** on the forum. The deadline to the next TWIF is Thursday 12:00 UTC.

#### Feedback

Got Feedback? We are very tootable at **[@fdroidorg@mastodon.technology](https://mastodon.technology/@fdroidorg)** on Mastodon. If you'd like to have a chat, you can find us in #fdroid on **[Freenode](https://freenode.net)**, on Matrix via **[#freenode_#fdroid:matrix.org](https://matrix.to/#/#freenode_#fdroid:matrix.org)** or on **[Telegram](https://t.me/joinchat/AlRQekvjWDTuQrCgMYSNVA)**. All of these spaces are bridged together, so the choice is yours. You can also join us on the **[forum](https://forum.f-droid.org/)**.

#### Postscript

Please everybody give **[Coffee](https://open.source.coffee)** a round of applause and a thank you for writing the last 17 TWIFs.
