---
layout: post
title: "TWIF 19: Untis, Tusky and Rabbit Escape updated"
author: "Coffee"
authorWebsite: "https://open.source.coffee"
featured: '<em style="padding: 0.15em 0.5em 0.10em; margin-right: 0.5ex; box-shadow: 0.1em 0.05em 0.1em rgba(0, 0, 0, 0.3); border-radius: 1em; color: black; background: linear-gradient(orange, yellow);">Featured</em>'
---

This Week In F-Droid 19, Week 35, 2018

In this edition: 9 new apps, and 57 updates featuring Untis, Tusky, Rabbit Escape, and also Libretorrent, Orgzly, StreetComplete, Mastalab, Revolution IRC and more.
<!--more-->

**[F-Droid](https://f-droid.org/)** is a [repository](https://f-droid.org/packages/) of verified [free and open source](https://en.wikipedia.org/wiki/Free_and_open-source_software) Android apps, a **[client](https://f-droid.org/packages/org.fdroid.fdroid/)** to access it, as well as a whole "app store kit", providing all the tools needed to set up and run an app store. It is a community-run free software project developed by a wide range of contributors. This is their story this past week.

#### New apps

**9** new apps have been added to the repository, bringing the total up to **1589**.

* **[Temp. monitor](https://f-droid.org/packages/com.gmail.jiwopene.temperature/)**: Shows and logs HW temperature

* **[XMouse](https://f-droid.org/packages/com.stripe1.xmouse/)**: Remotely control X11 via SSH commands generated by your phone or tablet

* **[Freifunk-Karte](https://f-droid.org/packages/de.freifunk_karte.freifunk_karte/)**: Map for viewing the Freifunk Nodes on a OpenStreetMap

* **[Run Userinit](https://f-droid.org/packages/de.lisas.alex.runuserinit/)**: Run user init scripts after boot

* **[FairEmail](https://f-droid.org/packages/eu.faircode.email/)**: Privacy friendly email app from the developer of **[NetGuard](https://f-droid.org/packages/eu.faircode.netguard/)**

* **[Shelter](https://f-droid.org/packages/net.typeblog.shelter/)**: Isolate your Big Brother Apps / Multiple Accounts

* **[Cow's Revenge](https://f-droid.org/packages/org.pipoypipagames.cowsrevenge/)**: Indie platform game in pixel art where you are a cow abducted and genetically improved by aliens

* **[Patolli](https://f-droid.org/packages/ru.henridellal.patolli/)**: Board game for 1 or 2 players

* **[APKMirror](https://f-droid.org/packages/taco.apkmirror/)**: An unofficial APKMirror client/web app

#### Updated apps

In total, 57 apps were updated this week. Here are the highlights:

* {{ page.featured }} You must use **Untis** for your timetable because nothing else is offered by your school? You care about privacy and don't wanna use the official proprietary mobile client? Then you can now get **[OpenUntis](https://f-droid.org/packages/de.perflyst.untis/)** from F-Droid.
  * Same features as official app
  * Extra customization options
  * Fully open source
  * No tracking

  Version 2.0.4 adds support for landscape mode, Android 4.2 compatibility, translation updates and several other changes.

* **[LibreTorrent](https://f-droid.org/packages/org.proninyaroslav.libretorrent/)**, a standalone torrent client for Android, released 1.8, now with RSS manager, Ability to create torrents, scheduling, Android TV support, Android P support, and more.

* {{ page.featured }} **[Tusky](https://f-droid.org/packages/com.keylesspalace.tusky/)** 3.0 made it to F-Droid at last! Your favourite Mastodon social network client now features:
  * New elephant art
  * New black/AMOLED theme
  * See which images have a description on the compose page
  * Editable account fields
  * View avatars fullscreen
  * Several other new features, improvements, and bugfixes

* **[Orgzly](https://f-droid.org/packages/com.orgzly/)** is a hierarchical note-taking app and task manager in **[org-mode](http://orgmode.org/) format**. Version 1.6.9 can be installed on external storage, lets you add quick notes from an ongoing notification, supports checkboxes in the notebook's preface, and more, for which you can see the [nice color-coded changelog](http://www.orgzly.com/changelog#v1.6.9).

* **[Contacts](https://f-droid.org/packages/com.simplemobiletools.contacts/)** is a simple app to manage your contacts. In version 4.3.0, contact exporting/importing was completely reworked from scratch. This release also has some stability and translation improvements.

* **[StreetComplete](https://f-droid.org/packages/de.westnordost.streetcomplete/)** allows people with zero mapping experience to improve [OpenStreetMap](https://www.openstreetmap.org) on the go, by asking them simple questions. This major update from 6.1 to 7.1 actually removes some features, disabling support for putting photos into notes as the `framapic.org` service has discontinued until further notice. You should also expect hiccups and/or old maps being displayed in the coming week as the tileserver goes into maintenance and tiles from nextzen are displayed instead.

  New quests are: Playground access (public/private), max height (of tunnel/parking entrance/height restrictor), and cycleway segregation.

  It contains many more enhanced quests, other enhancements, and bug fixes. See the [changelog](https://github.com/westnordost/StreetComplete/releases/tag/v7.0) for details as this update is huge.

* {{ page.featured }} **[Rabbit Escape](https://f-droid.org/packages/net.artificialworlds.rabbitescape/)** is a puzzle/action game inspired by Lemmings. Version 0.11 adds a whole 20 new levels in a new level set called Rabbots! Also contains lots of bug fixes and a few little extras.

* **[BwareArea](https://f-droid.org/packages/fr.byped.bwarearea/)** is designed to warn you when you approach some point of interest or dangerous area. In 0.6.5, all known reported bugs should have been fixed. This version also adds support for importing GPX files.

* **[Mastalab](https://f-droid.org/packages/fr.gouv.etalab.mastodon/)** 1.10.5 adds basic support for viewing other instances' local timelines, allows to delete tags with a long-press on the tab, allows to translate your messages before sending them, and some bug fixes.

* **[Revolution IRC](https://f-droid.org/packages/io.mrarm.irc/)** is the next-generation IRC client for Android. This update to 0.4.1 adds a per-server encoding setting, a new word selection mode, automatic message splitting, `irc://` link handling, and many more improvements and fixes. Also of note are DCC download/upload support (with UPnP), and the channel topic is now saved and deduplicated.

#### In the next TWIF

Hey there, developers! Do you know what would be a good thing to do for your project? **[Keep a changelog](https://keepachangelog.com)**! It lets humans quickly understand what's changed in your software. If there's anything of note in there, you might even see it featured in the next TWIF!

As great as changelogs are, don't forget to send in your tips! There are way too many app updates to keep track of them all, and we'd love your help in highlighting the important ones. And of course, if you're doing anything involving F-Droid in any way, tell us about it!

Send tips to **[@fdroidorg@mastodon.technology](https://mastodon.technology/@fdroidorg)** and remember to tag with **[#TWIF](https://mastodon.technology/tags/twif)**. Or use the [TWIF submission thread](https://forum.f-droid.org/t/twif-submission-thread) on the forum. The deadline to the next TWIF is **Thursday** 12:00 UTC.

#### Dedication

Thanks to **[@blendergeek](https://forum.f-droid.org/u/blendergeek)** for doing a great job in my absence! You might see more of him in the future, so stay tuned!
