---
layout: post
title: "TWIF 21: VMs Donated and Tor Browser goes Android"
author: "Coffee"
authorWebsite: "https://open.source.coffee"
featured: '<em style="padding: 0.15em 0.5em 0.10em; margin-right: 0.5ex; box-shadow: 0.1em 0.05em 0.1em rgba(0, 0, 0, 0.3); border-radius: 1em; color: black; background: linear-gradient(orange, yellow);">Featured</em>'
---

This Week In F-Droid 21, Week 37, 2018

In this edition: F-Droid project receives a donation of two VMs, Tor Browser coming to Android, 28 new apps including Emerald Dialer and MiniVector, and 61 app updates including NewPipe and Kwik EFIS & DMAP.
<!--more-->

**[F-Droid](https://f-droid.org/)** is a [repository](https://f-droid.org/packages/) of verified [free and open source](https://en.wikipedia.org/wiki/Free_and_open-source_software) Android apps, a **[client](https://f-droid.org/packages/org.fdroid.fdroid/)** to access it, as well as a whole "app store kit", providing all the tools needed to set up and run an app store. It is a community-run free software project developed by a wide range of contributors. This is their story this past week.

#### Tor Browser moving to officially support Android

The Tor Project [has released an alpha of Tor Browser for Android](https://blog.torproject.org/new-alpha-release-tor-browser-android) for the first time ever. It's available on [Tor Project's downloads page](https://www.torproject.org/projects/torbrowser.html.en#downloads-alpha) and Google Play for now, but the possibilities of bringing it to F-Droid [are being explored](https://trac.torproject.org/projects/tor/ticket/27539). This is especially relevant as Orfox (from the builtin but not-enabled-by-default Guardian repository) will be sunsetted.

#### F-Droid receives a donation of two big VMs

We had two big VMs donated to us by [Pretty Easy Privacy](https://www.pep.security). They have been delivered, and **[@\_hc](https://forum.f-droid.org/u/hans)** and **@uniq** have been trying them out. More later.

#### New apps

We have a whopping 28 new apps for you to try this week!

* **[9P](https://f-droid.org/packages/se.tube42.p9.android/)**: Word puzzle game
* **[Aalener Optik-Formelrechner](https://f-droid.org/packages/de.HS_Aalen.don/)**: German-only app for doing optical calculations
* **[BK Doorlock](https://f-droid.org/packages/de.binary_kitchen.doorlock_app/)**: Binary Kitchen's Open Sesame
* **[Character Recognition](https://f-droid.org/packages/org.atai.TessUI/)**: Extract text from images
* **[Custom Search](https://f-droid.org/packages/tyagi.shubham.customsearch/)**: A Simple Query Search on Google using Dorking
* **[Emerald Dialer](https://f-droid.org/packages/ru.henridellal.dialer/)** is a lightweight dialer which has T9 search and two themes. This application was made because **[Dialer2](https://f-droid.org/packages/org.dnaq.dialer2/)** is a bit outdated.
* **[Get Off Your Phone](https://f-droid.org/packages/com.nephi.getoffyourphone/)**: Control procrastination with an app locker
* **[Knock on Ports](https://f-droid.org/packages/me.impa.knockonports/)**: A port knocking client
* **[LTE Cleaner (FOSS)](https://f-droid.org/packages/theredspy15.ltecleanerfoss/)**: System cleaner
* **[Light Android Launcher](https://f-droid.org/packages/com.github.postapczuk.lalauncher/)**: Lightweight app launcher
* **[Mars Live Wallpaper](https://f-droid.org/packages/org.covolunablu.marswallpaper/)**: Rotating red planet
* {{ page.featured }} **[miniVector](https://f-droid.org/packages/com.lavadip.miniVector/)**: is a minified version of **[Riot.im](https://f-droid.org/packages/im.vector.alpha/)**, which results in a smaller and lighter app which requires less scary permissions. It achieves this by removing Jitsi conferencing support and some smaller things. **Edit:** Note that voice and video calls are not supported in this version. Support _may_ be added back in a future version.
* **[NotificationLog](https://f-droid.org/packages/de.jl.notificationlog/)**: Log system notifications locally
* **[PSLab](https://f-droid.org/packages/io.pslab/)**: Pocket Science Lab Android interface for PSLab hardware
* **[Pausing Healthily](https://f-droid.org/packages/org.secuso.privacyfriendlypausinghealthily/)**: Break reminder with helpful exercises
* **[PianOli](https://f-droid.org/packages/com.nicobrailo.pianoli/)**: Baby game to keep your device safe from random baby-taps
* **[Privacy Helper](https://f-droid.org/packages/org.privacyhelper/)**: An app privacy guide
* **[Resume Builder](https://f-droid.org/packages/com.ibrahimyousre.resumebuilder/)**: An app to help you create your resume
* **[Riksdagskollen](https://f-droid.org/packages/se.oandell.riksdagen/)**: Allow users to keep track of the Swedish parliament
* **[Ril Control](https://f-droid.org/packages/com.alaskalinuxuser.rilcontrol/)**: Control the RIL-daemon process
* **[Sam Remote](https://f-droid.org/packages/mkg20001.net.samremote/)**: Simple WiFi remote for Samsung TVs
* **[SleepyWifi](https://f-droid.org/packages/nl.devluuk.sleepywifi/)**: Disables the Wi-Fi when the phone is in sleep mode
* **[SyncTool](https://f-droid.org/packages/theakki.synctool/)**: Synchronize data between a smartphone and a server
* **[Tron Wallet](https://f-droid.org/packages/com.eletac.tronwallet/)**: Multifunctional wallet for the TRON network
* **[WateryDroid](https://f-droid.org/packages/tmendes.com.waterydroid/)**: Simple reminder app to drink water
* **[Web Media Share](https://f-droid.org/packages/com.tobykurien.webmediashare/)**: Browser for viewing, sharing, or casting media from websites
* **[Xia Express](https://f-droid.org/packages/fr.ac_versailles.dane.xiaexpress/)**: Create interactive images by croping zoomable details
* **[Yoke](https://f-droid.org/packages/com.simonramstedt.yoke/)**: Hackable gamepad for Linux

#### Updated apps

In total, **61** apps were updated this week. Here are the highlights:

* **[AdGuard Content Blocker](https://f-droid.org/packages/com.adguard.android.contentblocker/)** is an ad blocker for browsers that support content blocking technology. So far, these are Yandex Browser and Samsung Internet browser. Version 2.2.1 adds a whitelist setting, clean filters cache, new locales, and the order of entries will be respected when importing user filter lists.

* **[DNS Hero](https://f-droid.org/packages/com.gianlu.dnshero/)** lets you inspect DNS zones like a superhero. Version 1.1.3 is in, adding a brand new preferences screen and different diagnostics cards colors for improved readability. Behind the scenes, some problems with non-free dependencies were addressed, thanks to **[@Rudloff](https://forum.f-droid.org/u/rudloff)**).

* **[GPSTest](https://f-droid.org/packages/com.android.gpstest.osmdroid/)** is an app for testing GPS and GNSS capabilities of a device, with real-time information for satellites in view of your device. Version 3.2.0 adds D/M/S support for latitude and longitude, share in multiple location formats, run-time instead of install-time permissions, Greek and Dutch translations, and allows free map movement during location updates.

* [@ninelima](https://forum.f-droid.org/u/ninelima) reports: I am very pleased to announce release 22 of **[Kwik EFIS](https://f-droid.org/packages/player.efis.pfd/)** (Electronic Flight Information System) and **[DMAP](https://f-droid.org/packages/player.efis.mfd/)** (Digital Mapping). The product suite now has support for the [Stratux ](http://stratux.me/) devices. This allows for a very inexpensive solution to simple flight instrumentation for use in experimental aircraft. [Short article on the Stratux/Kwik integration](http://members.iinet.net.au/~ninelima/stratux/).

  Some videos:
  * [Kwik EFIS / Stratux - Test Flight](https://www.youtube.com/watch?v=t6Vnk_rdSzI)
  * [Kwik EFIS / Stratux - Dual monitor test](https://www.youtube.com/watch?v=PzmiZzQZ1EE)

* **[MHGUDB](https://f-droid.org/packages/com.ghstudios.android.mhgendatabase/)** is an extensive, all in one, _Monster Hunter Generations_ reference. It had a major update to 2.0.1, adding _Monster Hunter Generations Ultimate_ data, and many usability improvements.

* **[Markor](https://f-droid.org/packages/net.gsantner.markor/)** 1.1.0 is out. Markor is a powerful text editor for [Markdown](https://commonmark.org) and [todo.txt](http://todotxt.com) files. This release adds several new features for working with images, a list of popular files, and a virtual folder for popular & recent files. You can read about even more improvements and bug fixes in the accompanying [blog post](https://gsantner.net/blog/android/2018/09/09/markor-release-v1.1.html).

* **[Mastalab](https://f-droid.org/packages/fr.gouv.etalab.mastodon/)** was updated from 1.11.0 to 1.12.2, adding several Mastodon 2.5 features such as managing filters, hiding boosts from a specific account, and featuring other accounts on your profile. It can also now DM from profile, open toots in a browser, has improved layout for profiles with a new "pinned" tab, and more. 

* **[Mi Manga Nu](https://f-droid.org/packages/ar.rulosoft.mimanganu/)** lets you read and organize mangas. This update from 1.86 to 1.89 now comes as a dedicated F-Droid build flavor, adding new mangas and various fixes.

* **[NewPipe](https://f-droid.org/packages/org.schabi.newpipe/)** had two updates during this period. First off, 0.14.0 was released featuring a more customizable main page and different UI and UX tweaks including a reworked navigation drawer, drag and drop to close the popup / pip mode and much more. For more info you can [check the blog post](https://newpipe.schabi.org/blog/release/pinned/newpipe-0.14.0-released/).

  On the heels of that comes the 0.14.1 hotfix, which fixes NewPipe after a change on YouTube's side basically [broke everything](https://forum.f-droid.org/t/help-fail-newspipe-why/3800). Also includes a fix for long links in video descriptions.

* We now have **[OsmAnd~](https://f-droid.org/packages/net.osmand.plus/)** 3.2 beta in the repo which is supposed to fix Android 8 rendering performance issues, and fixes a crash on startup that occurred with non-latin maps. This update won't be automatically suggested to you unless you have "Unstable updates" enabled in the F-Droid app, but you can expand the "Versions" tab and install it manually. Note that this is a beta version: proceed at your own risk.

* **[QKSMS](https://f-droid.org/packages/com.moez.QKSMS/)**, a material design replacement for the stock AOSP messaging app, was updated from 3.4.5 to 3.5.3, with initial SMS backup and restore, direct share support, smoother scrolling for MMS messages,  and _many_ bug fixes.

* **[Tusky](https://f-droid.org/packages/com.keylesspalace.tusky/)** is a lightweight material design Mastodon client. Version 3.1 fixes image orientation when uploading them, fixes bugs with loading bottom items, allows account switching while offline, and other bug fixes and improvements.

#### Tips and Feedback

Do you have important app updates we should write about? Send in your tips via [Mastodon](https://joinmastodon.org)! Send them to **[@fdroidorg@mastodon.technology](https://mastodon.technology/@fdroidorg)** and remember to tag with **[#TWIF](https://mastodon.technology/tags/twif)**. Or use the [TWIF submission thread](https://forum.f-droid.org/t/twif-submission-thread) on the forum. The deadline to the next TWIF is **Thursday** 12:00 UTC.

General feedback can also be sent via Mastodon, or, if you'd like to have a live chat, you can find us in **#fdroid** on [Freenode](https://freenode.net), on Matrix via [#freenode_#fdroid:matrix.org](https://matrix.to/#/#freenode_#fdroid:matrix.org) or on [Telegram](https://t.me/joinchat/AlRQekvjWDTuQrCgMYSNVA). All of these spaces are bridged together, so the choice is yours. You can also join us on the **[forum](https://forum.f-droid.org/)**.
