---
layout: post
title: "F-Droid at 35c3"
author: "eighthave"

---

The 35th Chaos Communications Congress (35c3) ended about two weeks ago, and F-Droid was well represented there.  Indeed, tons of free software projects and communities were there.  Starting with the [F-Droid Meetup](https://events.ccc.de/congress/2018/wiki/index.php/Session:F-Droid_Meetup) on the first day, there were frequent events and impromptu meetups between F-Droid core team, contributors, and app developers and users throughout the whole event.  The F-Droid Meetup was in a small room, packed full of people, including developers of many key apps in the F-Droid ecosystem.  I enjoyed meeting everyone in person after years of communicating online.  I'll try to list the represented apps, but I'm sure I'll forget some:  35c3 Schedule, Bitcoin Wallet, Conversations, Etar, F-Droid, K-9, NewPipe, Öffi, OpenKeychain, Orbot, Tor Browser, Tusky. There were lots of good discussions in that session, lead mostly by @bubu and @jspricke.  We encouraged more developers to run their own repos, @NicoAlt wrote up a [thorough explanation](https://github.com/TeamNewPipe/NewPipe/issues/1981).

Reflecting back on the 35c3, it is really an impressive event. A 16,000 person event that is almost entirely run by volunteers, including the core organization. They got [more than 4,200 volunteers](https://twitter.com/c3himmel/status/1079691804667273216) in total.  On top of that, there are multiple talk stages with separate organizers, and even "self-organized" rooms and "assemblies" which provide more spaces for decentralized organization.  Plus it felt really well organized, with highly skilled talk moderators as well as real time translation into English, German, and French for all “official” talks. The videos for the talks are really well produced, with high sound quality, and all translations available. And people seem to actually watch them, there has been over 2000 views of my talk already, which I really didn't expect. My talk is [available on CCC’s site](https://media.ccc.de/v/35c3-9595-wind_off-grid_services_for_everyday_people) as video or audio, playable without Javascript even. And of course they are on YouTube in [original English](https://www.youtube.com/watch?v=C_SiGqmrz8g), [German](https://www.youtube.com/watch?v=9swlHj1y0Rc), and [French](https://www.youtube.com/watch?v=mwqVQqhLtY0).

I think my talk went well, the room was 100% full with about 330 people in it. The audience seemed into it, and I got follow up questions after the thing was over. I ended up not going into detail, which I think was a mistake. The talk would have been better with a detailed section of how to work through all the nearby/offline issues in an app.  Next time!

Then the whole event is the giant mix of a bunch of things that seem very unlikely in combination:

*    high profile IT and security talks attended by thousands
*    on site discos and parties
*    all sorts of interactive art displays
*    a well respected opt-in photo/video policy
*    a huge amount of topical “assemblies” which vary from Burning Man-like
*    tent villages to seas of tables full of hackers
*    a giant social event for introverts
*   one whole wing devoted to children’s activities and events inter-mixed in the conference
*    Burning Man-like “art cars” of all sorts driving around, but small since it was indoors, and even a race track

Then of course, there is lots of opportunity to meet people in person and have in-depth conversations.  I had a good talk with Jeremy_Rand, a [Replicant](https://replicant.us) developer, about how to make a 100% free version of F-Droid for Replicant. That is summarized on their issue tracker about [making F-Droid.org have only 100% free software](https://redmine.replicant.us/issues/1878#note-22).

Pretty much every F-Droid contributor who was there meet up at various points.  One key topic was how to start businesses around F-Droid.  From my point of view, it seems that the consensus is building around following the Debian model: F-Droid as its own entirely, represented by a non-profit entity only as needed.  Then for doing consulting business, people can do F-Droid work under any organization they see fit.  @dschuermann took the initiative to finally get the [consulting](https://gitlab.com/fdroid/fdroid-website/issues/96) page up:  <https://f-droid.org/consulting>.  Any contributor who is a member of [GitLab _fdroid_ group](https://gitlab.com/groups/fdroid/-/group_members) is welcome to submit a merge request to add themselves there.

### Talks worth checking out:

There were many interesting and relevant talks, here are a few that I enjoyed:

* Erik Albers of the FSFE gave [F-Droid: Pimp your Android(-fork) with the best Free Software apps](https://media.freifunk.net/v/35c3oio-74-f-droid-pimp-your-android-fork-with-the-best-free-software-apps)

* Trammel Hudson’s [talk basically confirms](https://media.ccc.de/v/35c3-9597-modchips_of_the_state) the Bloomberg story about supply chain implants with technical detail and a working proof of concept

* [How Facebook tracks you on Android](https://media.ccc.de/v/35c3-9941-how_facebook_tracks_you_on_android) from Privacy International

* [Russia vs. Telegram: technical notes on the battle](https://media.ccc.de/v/35c3-9653-russia_vs_telegram_technical_notes_on_the_battle)

* [The Rocky Road to TLS 1.3 and better Internet Encryption](https://media.ccc.de/v/35c3-9607-the_rocky_road_to_tls_1_3_and_better_internet_encryption)

* [LibreSilicon: Decentralizing semiconductor manufacturing](https://media.ccc.de/v/35c3-9410-libresilicon)
