---
layout: post
title: "TWIF 38"
edition: 38
author: "Licaon_Kter"
authorWebsite: "https://gitlab.com/licaon-kter"
fdroid: '<em style="padding: 0.15em 0.5em 0.10em; margin-right: 0.1ex; border-style: solid; border-width: medium; border-radius: 1em; color: #0d47a1; font-style: normal; font-weight: bold;">F-Droid</em>'
featuredv1: '<em style="padding: 0.15em 0.5em 0.10em; margin-right: 0.5ex; box-shadow: 0.1em 0.05em 0.1em rgba(0, 0, 0, 0.3); border-radius: 1em; color: black; background: linear-gradient(orange, yellow);">Featured</em>'
featured: '<em style="padding: 0.15em 0.5em 0.10em; margin-right: 0.1ex; border-style: solid; border-width: medium; border-radius: 1em; color: orange; font-style: normal; font-weight: bold;">Featured</em>'
major: '<em style="padding: 0.15em 0.5em 0.10em; margin-right: 0.1ex; border-style: solid; border-width: medium; border-radius: 1em; color: #8ab000; font-style: normal; font-weight: bold;">Major</em>'
number_of_added_apps: 3
number_of_removed_apps: 0
number_of_updated_apps: 77
number_of_beta_updated_apps: 0
number_of_downgraded_apps: 0
mastodonAccount: "**[@fdroidorg@mastodon.technology](https://mastodon.technology/@fdroidorg)**"
twifTag: "**[#TWIF](https://mastodon.technology/tags/twif)**"
twifThread: "[TWIF submission thread](https://forum.f-droid.org/t/twif-submission-thread)"
matrixRoom: "[#fdroid:f-droid.org](https://matrix.to/#/#fdroid:f-droid.org)"
telegramRoom: "https://t.me/joinchat/AlRQekvjWDTuQrCgMYSNVA"
forum: "https://forum.f-droid.org"
---

This Week In F-Droid {{ page.edition }}, Week {{ page.date | date: "%V, %G" }} <a href="{{ site.baseurl }}/feed.xml"><img src="{% asset Feed-icon-16x16.png %}" alt="Feed"></a>

In this edition: F-Droid 1.5.1 is the recommended version, firewall apps in the spotlight.
There are **{{ page.number_of_added_apps }}** new and **{{ page.number_of_updated_apps }}** updated apps.

<!--more-->

**[F-Droid](https://f-droid.org/)** is a [repository](https://f-droid.org/packages/) of verified [free and open source](https://en.wikipedia.org/wiki/Free_and_open-source_software) Android apps, a **[client](https://f-droid.org/packages/org.fdroid.fdroid/)** to access it, as well as a whole "app store kit", providing all the tools needed to set up and run an app store. It is a community-run free software project developed by a wide range of contributors. This is their story this past week.

### F-Droid version 1.5.1

{{ page.major }} The main **[F-Droid](https://f-droid.org/packages/org.fdroid.fdroid/)** client has a new recommended version, while it only has some translations fixes and one graphics one (screenshot background on dark themes) compared to 1.5 (announced in [TWIF36]({{ site.baseurl }}/2018/12/29/twif-36-f-droid-at-35c3-and-zdf.html)), it will appear for automatic install for users of 1.4 or older too.

### Firewall apps in the spotlight

_"The 35th Chaos Communications Congress (35c3) ended about two weeks ago, and F-Droid was well represented there. Indeed, tons of free software projects and communities were there..."_, and you can read more about in the dedicated [F-Droid at 35c3](https://fdroid.gitlab.io/fdroid-website/en/2019/01/11/fdroid-at-35c3.html) post. One of the more interesting, yet chilling, talks there was ["How Facebook tracks you on Android (even if you don’t have a Facebook account)"](https://media.ccc.de/v/35c3-9941-how_facebook_tracks_you_on_android) bringing to the light the ways that the Facebook SDK embedded into everyday (popular and closed sourced) apps becomes means to track users.

One of the slides mentioned that firewalls, [AFWall+](https://f-droid.org/packages/dev.ukanth.ufirewall/) and [NetGuard](https://f-droid.org/packages/eu.faircode.netguard/), can contain data leaking to the Facebook servers, and while we would recommend you not to use apps that feature tracking, the good news is that both firewalls are available in F-Droid. Keep in mind that while NetGuard uses a local VPN to filter traffic, hence it can work on any device, AFWall+ needs a rooted device to function.

An alternative firewall app, based on a local VPN too, is also [Blokada](https://f-droid.org/packages/org.blokada.alarm/), recently reviewed (in German) by Mike Kuketz on his blog [here](https://www.kuketz-blog.de/blokada-tracking-und-werbung-unter-android-unterbinden/).

### F-Droid PHP library

[Izzy](https://android.izzysoft.de)'s PHP library for parsing F-Droid repositories is now an official part of the F-Droid software offering: [https://gitlab.com/fdroid/php-fdroid](https://gitlab.com/fdroid/php-fdroid)

Contributions are welcome for adding support for index-v1.json and signature verification of index-v1.jar. We already have Java, Python, and Ruby code for doing this, so it should be fairly easy to do. Potential contributors should coordinate with Izzy.

### New apps

* **[Dice Overflow](https://f-droid.org/packages/eu.veldsoft.dice.overflow/)**: A simple board logical game, it is a mix between dice and the ColorOverflow game. The goal of the game is to conquer all cells on the board.
* **[Oversec](https://f-droid.org/packages/io.oversec.one/)**: Privacy for All Apps! Encrypt and Disguise Messages in All Your Apps! You need to see the videos linked in the description! 
* **[SaidIt](https://f-droid.org/packages/org.saiditnet.redreader/)**: An official client for the news site saidit.net. This app is a fork of QuantumBadger's [RedReader](https://f-droid.org/packages/org.quantumbadger.redreader/).

### Updated apps

In total, **{{ page.number_of_updated_apps }}** apps were updated this week. While they all got their bugs fixed, their translations updated and expanded, here are the highlights:

* **[Etar](https://f-droid.org/packages/ws.xsoh.etar/)** 1.0.14 saw some bug fixes, a new theme too. Also users are advised to switch to another [calendar widget app](https://f-droid.org/packages/com.plusonelabs.calendar/) since this functionality has been removed from Etar.

* **ICSdroid** is now known as **[ICSx⁵](https://f-droid.org/packages/at.bitfire.icsdroid/)** following in the steps of DAVx⁵. You can read more about this [here](https://www.davx5.com/faq/general/what-does-davx5-stand-for).

* **[Mastalab](https://f-droid.org/packages/fr.gouv.etalab.mastodon/)** keeps its update pace, already at 1.63.1 bringing
  * Login with Peertube accounts
  * Display five timelines (Subscriptions, Overview, Trending, Recently added, Local) with pagination
  * Display accounts and their channels
  * Follow / Unfollow accounts and channels
  * Watch comments + write/remove comments
  * Vote on videos (thumbs-up, thumbs-down, remove rating).
  * Pick up three different modes for videos (Torrent/Webview/Direct)
  * Video starts automatically in fullscreen in landscape orientation.

* Did we mention **[Peertube](https://f-droid.org/packages/net.schueller.peertube/)**? Yes, even more news, as the app got updated to 1.0.23 adding a work-in-progress like/dislike function, translations updates, general UI polish and video downloads.

* **[miniVector](https://f-droid.org/packages/com.lavadip.miniVector/)** was updated to 0.8.21 tracking the upstream [Riot.im](https://f-droid.org/packages/im.vector.alpha/) update that was featured in [TWIF37]({{ site.baseurl }}/2019/01/05/twif-37-the-european-bug-bounty-edition.html) last week.

* **[Movim](https://f-droid.org/packages/com.movim.movim/)** the distributed social networking platform based on XMPP has a new version of their app out, almost 2 years to the day. While the app (a wrapper around Webview) saw just a little polish, the services it connects to have evolved a great deal in the mean time, you can read more [here](https://nl.movim.eu/?node/pubsub.movim.eu/Movim/movim-0-14-scotty-anniversary-edition-J8qk3N).

* "Muzei Live Wallpaper" got [updated to version 3.0](https://medium.com/muzei/announcing-muzei-live-wallpaper-3-0-d167dd5795a4), so while we wait for the main [Muzei](https://f-droid.org/packages/net.nurik.roman.muzei/) app to be updated (soon), apps like [Mysplash](https://f-droid.org/packages/com.wangdaye.mysplash/) and [Muzei - Bing Image of the Day]({{ site.baseurl }}/app/de.devmil.muzei.bingimageofthedayartsource) that hook up with it had to update as well in order to be compatible with the updated APIs.

* **[UserLAnd](https://f-droid.org/packages/tech.ula/)** 2.1.0 is already here, so update, as the crashes in the new terminal were fixed.

### Tips and Feedback

Do you have important app updates we should write about? Send in your tips via [Mastodon](https://joinmastodon.org)! Send them to {{ page.mastodonAccount }} and remember to tag with {{ page.twifTag }}. Or use the {{ page.twifThread }} on the forum. The deadline to the next TWIF is **Thursday** 12:00 UTC.

General feedback can also be sent via Mastodon, or, if you'd like to have a live chat, you can find us in **#fdroid** on [Freenode](https://freenode.net), on Matrix via {{ page.matrixRoom }} or on [Telegram]({{ page.telegramRoom }}). All of these spaces are bridged together, so the choice is yours. You can also join us on the **[forum]({{ page.forum }})**.
