---
layout: post
title: "TWIF 48: guardianproject.info migration"
edition: 48
author: "garym"
authorWebsite: "https://forum.f-droid.org/u/garym"
fdroid: '<em style="padding: 0.15em 0.5em 0.10em; margin-right: 0.1ex; border-style: solid; border-width: medium; border-radius: 1em; color: #0d47a1; font-style: normal; font-weight: bold;">F-Droid</em>'
featuredv1: '<em style="padding: 0.15em 0.5em 0.10em; margin-right: 0.5ex; box-shadow: 0.1em 0.05em 0.1em rgba(0, 0, 0, 0.3); border-radius: 1em; color: black; background: linear-gradient(orange, yellow);">Featured</em>'
featured: '<em style="padding: 0.15em 0.5em 0.10em; margin-right: 0.1ex; border-style: solid; border-width: medium; border-radius: 1em; color: orange; font-style: normal; font-weight: bold;">Featured</em>'
major: '<em style="padding: 0.15em 0.5em 0.10em; margin-right: 0.1ex; border-style: solid; border-width: medium; border-radius: 1em; color: #8ab000; font-style: normal; font-weight: bold;">Major</em>'
number_of_added_apps: 6
number_of_removed_apps: 0
number_of_updated_apps: 82
number_of_beta_updated_apps: 1
number_of_downgraded_apps: 0
mastodonAccount: "**[@fdroidorg@mastodon.technology](https://mastodon.technology/@fdroidorg)**"
twifTag: "**[#TWIF](https://mastodon.technology/tags/twif)**"
twifThread: "[TWIF submission thread](https://forum.f-droid.org/t/twif-submission-thread)"
matrixRoom: "[#fdroid:f-droid.org](https://matrix.to/#/#fdroid:f-droid.org)"
telegramRoom: "https://t.me/joinchat/AlRQekvjWDTuQrCgMYSNVA"
forum: "https://forum.f-droid.org"
---

This Week In F-Droid {{ page.edition }}, Week {{ page.date | date: "%V, %G" }} <a href="{{ site.baseurl }}/feed.xml"><img src="{% asset Feed-icon-16x16.png %}" alt="Feed"></a>

In this edition: The [guardianproject.info](https://guardianproject.info/) website migration effort is underway, and odds-and-ends.
There are **{{ page.number_of_added_apps }}** new and **{{ page.number_of_updated_apps }}** updated apps.

<!--more-->

**[F-Droid](https://f-droid.org/)** is a [repository](https://f-droid.org/packages/) of verified [free and open source](https://en.wikipedia.org/wiki/Free_and_open-source_software) Android apps, a **[client](https://f-droid.org/packages/org.fdroid.fdroid/)** to access it, as well as a whole "app store kit", providing all the tools needed to set up and run an app store. It is a community-run free software project developed by a wide range of contributors. This is their story this past week.

### Guardian Project Hugo Migration

**[Coffee](https://forum.f-droid.org/u/coffee)** and **[@\_hc](https://forum.f-droid.org/u/hans)** have been working to migrate the [guardianproject.info](https://guardianproject.info/) website to Hugo. The site has been set up, and much of the content has been migrated, but work remains to get all the details right and port over the navigation.

### Google Play Issues

**[@vanitasvitae](https://gitlab.com/vanitasvitae)** points to a story about [KDE Connect](https://f-droid.org/packages/org.kde.kdeconnect_tp/) being briefly [removed](https://mobile.twitter.com/albertvaka/status/1107924633750253568) from the Google Play Store, ostensibly for violating Google's [new policy](https://support.google.com/googleplay/android-developer/answer/9047303) on apps that utilize SMS permissions, despite an exemption that clearly applied to KDE Connect. It was [restored](https://mobile.twitter.com/albertvaka/status/1108648884056834048) two days later.

**[@Poussinou](https://forum.f-droid.org/u/poussinou)** highlighted some troubles for the [MusicPiped](https://f-droid.org/packages/deep.ryd.rydplayer/) app, which allows users to stream audio from Youtube. It was [published to Google Play](https://play.google.com/store/apps/details?id=deep.ryd.rydplayer), however its primary function violates Google's Terms of Service. Google have responded by [denying](https://github.com/deep-gaurav/MusicPiped/issues/2#issuecomment-472364321) update submissions from the developer, though updates continue to be available via F-Droid.

### Odds and ends

* **[@vanitasvitae](https://gitlab.com/vanitasvitae)** has let us know about part 2 of a series on lineageos (German): [LineageOS – Take back control](https://www.kuketz-blog.de/lineageos-take-back-control-teil2/).
* **[@\_hc](https://forum.f-droid.org/u/hans)** is looking for developers interested in helping to support white labeling in F-Droid.
* **[@\_hc](https://forum.f-droid.org/u/hans)** and **[@uniq](https://chaos.social/@uniq)** continue to work on [NetCipher](https://github.com/guardianproject/NetCipher) in order to improve Tor support, and force the use TLSv1.2 or greater.

### New apps

* **[OpenPods](https://f-droid.org/packages/com.dosse.airpods/)**: Check the battery status of your airpods.
* **[Vector Camera](https://f-droid.org/packages/com.dozingcatsoftware.vectorcamera/)**: An app that applies real-time effects to the camera input.
* **[DOI to SciHub](https://f-droid.org/packages/com.sigmarelax.doitoscihub/)**: Quickly download research.
* **[p!n](https://f-droid.org/packages/de.nproth.pin/)**: Pin notes to the notification area.
* **[MoLe](https://f-droid.org/packages/net.ktnx.mobileledger/)**: Convenient front-end to hledger-web
* **[FiSSH](https://f-droid.org/packages/science.iodev.fissh/)**: SSH authentication via fingerprint scanning over network (TLS sockets).

### Updated apps

In total, **{{ page.number_of_updated_apps }}** apps were updated this week. Here are the highlights:

* **[Delta Chat](https://f-droid.org/packages/com.b44t.messenger/)** was [updated](https://raw.githubusercontent.com/deltachat/deltachat-android/HEAD/CHANGELOG.md) from 0.101.1 to 0.200.0, improving setup for many providers (including OAuth 2.0 support for Google and Yandex), and enabling sharing into the app.
* **[EteSync](https://f-droid.org/packages/com.etesync.syncadapter/)** was [updated](https://github.com/etesync/android/blob/HEAD/ChangeLog.md) from 1.2.6 to 1.3.0, improving performance for large initial syncs.
* **[Suntimes](https://f-droid.org/packages/com.forrestguice.suntimeswidget/)** was [updated](https://github.com/forrestguice/SuntimesWidget/blob/HEAD/CHANGELOG.md) from 0.10.3 to 0.11.0, adding an alarm and a clock widget.
* **[Bop-MusicPlayer](https://f-droid.org/packages/com.sahdeepsingh.Bop/)** was [updated](https://github.com/iamSahdeep/Bop/blob/HEAD/changelog.md) from 1.1.2 to 1.2, making microphone use optional, and enabling control via Google Assistant.
* **[WebApps](https://f-droid.org/packages/com.tobykurien.webapps/)** was [updated](https://github.com/tobykurien/WebApps/releases) from v2.18 to v2.20, allowing for custom user agents, and favicon-action bar color matching.
* **[Periodical](https://f-droid.org/packages/de.arnowelzel.android.periodical/)** was [updated](http://arnowelzel.de/wiki/en/android/app/periodical) from 1.23 to 1.30, separating events and symptoms into different lists, and indicating each per-day.
* **[Bitcoin Wallet](https://f-droid.org/packages/de.schildbach.wallet/)** was [updated](https://raw.github.com/bitcoin-wallet/bitcoin-wallet/prod/wallet/CHANGES) from 6.41 to 7.02, providing support for receiving to and sending from SegWit (Bech32) addresses.
* **[FairEmail](https://f-droid.org/packages/eu.faircode.email/)** was [updated](https://github.com/M66B/open-source-email/releases) from 1.381 to 1.395, adding local contacts view with search, full HTML signatures, export/import of contacts notification settings, and optionally shows accounts on startup screen.
* **[KISS launcher](https://f-droid.org/packages/fr.neamar.kiss/)** was [updated](https://github.com/Neamar/KISS/releases) from 3.7.6 to 3.7.9, improving startup performance and memory consumption.
* **[SkyTube](https://f-droid.org/packages/free.rm.skytube.oss/)** was [updated](https://github.com/ram-on/SkyTube/blob/HEAD/CHANGELOG) from 2.94 to 2.95, fixing video playback.
* **[Slide](https://f-droid.org/packages/me.ccrama.redditslide/)** was [updated](https://github.com/ccrama/Slide/blob/HEAD/CHANGELOG.md) from 6.0.1-3 to 6.1, adding mod toolbox support, a text editor overhaul, and improvements to wiki link handling.
* **[FreedomBox](https://f-droid.org/packages/org.freedombox.freedombox/)** was [updated](https://salsa.debian.org/freedombox-team/android-app/tags) from 0.4 to 0.5, adding SDK v28 support.
* **[GitNex](https://f-droid.org/packages/org.mian.gitnex/)** was [updated](https://gitlab.com/mmarif4u/gitnex/blob/HEAD/CHANGELOG.md) from 1.0-rc6 to 1.0.1, bringing some small fixes to an otherwise feature-packed 1.0 release (congratulations GitNex!).
* **[Manyverse](https://f-droid.org/packages/se.manyver/)** was [updated](https://gitlab.com/staltz/manyverse/blob/HEAD/CHANGELOG.md) from 0.1903.13-beta to 0.1903.19-beta, with several new features including post preview.
* **[UserLAnd](https://f-droid.org/packages/tech.ula/)** was [updated](https://github.com/CypherpunkArmory/UserLAnd/releases) from 2.3.8 to 2.4.0, adding file-system import and export.
* **[FiSSH](https://f-droid.org/packages/science.iodev.fissh/)** has been unarchived at version 3.0.

### Beta updates

The following updates won't be automatically suggested to you unless you have "Unstable updates" enabled in the F-Droid app settings, but you can expand the "Versions" tab and install them manually. Note that these are marked beta for a reason: Proceed at your own risk.

* **[Telegram](https://f-droid.org/packages/org.telegram.messenger/)** was [updated](https://github.com/Telegram-FOSS-Team/Telegram-FOSS/blob/HEAD/Changelog.md) from 5.3.1 to 5.4.0, introducing auto-playing videos.

### Tips and Feedback

Do you have important app updates we should write about? Send in your tips via [Mastodon](https://joinmastodon.org)! Send them to {{ page.mastodonAccount }} and remember to tag with {{ page.twifTag }}. Or use the {{ page.twifThread }} on the forum. The deadline to the next TWIF is **Thursday** 12:00 UTC.

General feedback can also be sent via Mastodon, or, if you'd like to live chat, you can find us in **#fdroid** on [Freenode](https://freenode.net), on Matrix via {{ page.matrixRoom }} or on [Telegram]({{ page.telegramRoom }}). All of these spaces are bridged together, so the choice is yours. You can also join us on the **[forum]({{ page.forum }})**.
