---
layout: post
title: F-Droid at 36c3
author: "F-Droid"
---

Some F-Droid contributors were at [36c3](https://events.ccc.de/congress/2019/wiki/) this past December.  Since it is a giant meeting place for so many related projects, we are including this small report of F-Droid activity there.  We had developer meeting and a user meeting led by [@Bubu](https://bubu1.eu).  At the developer meeting, there was an exchange between about 10 developers involved in key free software projects like [Replicant](https://replicant.us/), [K-9](https://k9mail.github.io/), [Nextcloud](https://nextcloud.com/), [microG](https://microg.org), [Conversations](https://conversations.im/), [AntennaPod](https://antennapod.org/), and others.  One big improvement is that CCC app updates were started a bit earlier, and the f-droid.org update process ran much smoother.  We had no complaints about f-droid.org repo being out of date, unlike like last year.

There were discussions with Replicant about how to handle apps that are not 100% DFSG Free Software, e.g. apps marked with [_NonFreeAdd_](https://f-droid.org/docs/Anti-Features/#NonFreeAdd), [_NonFreeDep_](https://f-droid.org/docs/Anti-Features/#NonFreeDep), or [_NonFreeAssets_](https://f-droid.org/docs/Anti-Features/#NonFreeAssets).  Replicant aims for complete Free Software Foundation certification, so it follows a stricter standard than F-Droid currently does.  For example, any apps that guides the user to installing non-free software is a no-go for Replicant.  We plan to continue this discussion, looking at how F-Droid and Replicant contributors understand the Anti-Features.  Also, a few ideas have been agreed upon, and are mostly waiting someone to implement them.  For example, Anti-Feature filtering in the client app with the ROM able to set defaults. Find us on the forum, issue trackers, and/or chatrooms if you are interested.

* We got feedback that the process of getting apps included in F-Droid is still quite unintuitive and poorly documented. One user offered to contribute there.
* @Bubu distributed almost 5000 F-Droid stickers, through the congress sticker exchange boxes and by giving them to interested assemblies (Matrix, Nextcloud, FSFE).
* There were also some related discussions at the Fairphone and microG meetups.
* Both users and developers were complaining about search in the F-Droid client app. Developers because their apps show up at place 5 when you enter the exact name. users for the same reason and additionally because it could be a lot easier to find apps for a specific "topic" like email clients, etc.
* We talked with people from [FOSSASIA](https://fossasia.org/) about how to get more Asian Android developers involved in F-Droid.
* We talked to some FSFE people from Berlin about "free your android" workshops and organizing an F-Droid user meetup in Berlin.
* We discussed "split APKs", including about how Google is handling signing keys and whether they are asking all developers to split their apps because of size.
* Another topic was user support, and whether there was common ground between app developers and F-Droid. There were some ideas for "joining forces", like a "help" button in F-Droid.  Some a lightweight versions of that idea are described in [#157: "browse" section of website should also provide links to F-Droid resources](https://gitlab.com/fdroid/fdroid-website/issues/157) and [#36: Use Discourse for comments](https://gitlab.com/fdroid/fdroid-website/issues/36).

After congress, @Bubu met up with some [Timeless](https://github.com/polydawn/timeless)/Repeatr contributors. They hacked on getting an F-Droid build environment ready to use in the Timeless [stack](https://gitlab.com/ericevenchick/timeless-android-sdk).  There was some solid steps towards building a small Android app.  This is potential a much saner version of Docker for building things, once it is more polished. For example, we could use Timeless to build a container that has all the _buildserver_ requirements. That would be more maintainable than Docker build files.  The container _rootfs_ can be reused with Docker to rebuild apps with the F-Droid stack.
