---
layout: post
title: "F-Droid Stats from 2019"
author: "Bubu"
authorWebsite: "https://bubu1.eu"
---

I just gave a small [talk](https://bubu1.eu/fdroid_fsfe_berlin_feb20.pdf) about F-Droid at [FSFE Berlin](https://libranet.de/profile/fsfeberlin). 
For this I gathered some stats about what happened in our repo over the last year. I did a similar thing about 1.5 years ago, you can find the numbers on page 9 of the [pdf](https://bubu1.eu/fdroid_lightning_talk_nextcloudconf.pdf).

### From Jan 2019 to 10th Feb 2020

* Repository grew by 316 apps

* Published 192 Index updates (avg. ~every 2 days)

* Published 5662 apks (~14 apks per day)

* Currently 2086 apps are present in the main repository (about 4000 including the archive)


### F-Droid-Data Commits

| Number of Commits | User                          |
|-------------------|-------------------------------|
| 5542              | F-Droid Builder (Auto updater)|
| 939               | Licaon_Kter                   |
| 836               | Izzy                          |
| 687               | relan                         |
| 449               | Pierre Rudloff                |
| 424               | Marcus Hoffmann               |
| 351               | Ciaran Gultnieks              |
| 237               | Hans-Christoph Steiner        |
| 207               | Michael Pöhn                  |

Plus many, many more contributions from hundreds of others!
 
### But also

Counted across the whole project:

* 1258 [open issues](https://gitlab.com/groups/fdroid/-/issues)
* 198 [open merge requests](https://gitlab.com/groups/fdroid/-/merge_requests)
* 199 [apps we know need updating](https://monitor.f-droid.org/builds/needsupdate)
* ...

## Help Wanted!

* Become a Maintainer: [Adopt an App!](https://gitlab.com/fdroid/fdroiddata/-/merge_requests?label_name%5B%5D=New+App)
* Add [screenshots, localized descriptions, what’s new texts]({{ site.baseurl }}/docs/All_About_Descriptions_Graphics_and_Screenshots/) to upstream repos
* Help with [translations](https://hosted.weblate.org/projects/f-droid/) (In F-Droid or Upstream)
* Help with [client development](https://gitlab.com/fdroid/fdroidclient) (especially UX)
* Help with [website dev](https://gitlab.com/fdroid/fdroid-website) (ruby/jekyll)
* Help with [Repomaker](https://gitlab.com/fdroid/repomaker) (Python Django App)


## Support us

You can also donate money to us, to help us work on F-Droid not only in our free time.
Consider using one of the free (as in free software) donation platforms like [open collective](https://opencollective.com/f-droid/) or [Liberapay](https://liberapay.com/F-Droid-Data/).
Both of these platforms allow for recurring donations, which is highly desirable for contributors who want make working on F-Droid part of their regular paid work.

<a href="https://opencollective.com/f-droid"><img src="{% asset opencollectivelogo.svg %}" height="30" style="box-shadow: unset;" ></a>&nbsp;&nbsp; &nbsp;
<a href="https://liberapay.com/F-Droid-Data/"><img src="{% asset liberapay_donate_button.svg %}" height="30" style="box-shadow: unset;" ></a>

The opencolletive is very new and we'll do a proper announcement soon, after we added proper support for opencollective into the F-Droid client app and website.

You can find other donation options in the sidebar on [f-droid.org](https://f-droid.org).

## Talk to us

**[Matrix](https://matrix.org):** [#fdroid:f-droid.org](https://riot.im/app/#fdroid:f-droid.org) / [#fdroid-dev:f-droid.org](https://riot.im/app/#fdroid-dev:f-droid.org)

**IRC:** #fdroid / #fdroid-dev (freenode)

**Mastodon:** [@fdroidorg@mastoton.technology](https://mastodon.technology/@fdroidorg)

**Issue Trackers:** [gitlab.com/fdroid](https://gitlab.com/fdroid)

**Forum:** [forum.f-droid.org](https://forum.f-droid.org)
